local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("Spy", "enUS", true)
if not L then return end

-- Addon information
L["Spy"] = "Spy"
L["Version"] = "Version"
L["LoadDescription"] = "|cff9933ffSpy addon loaded. Type |cffffffff/spy|cff9933ff for options."
L["SpyEnabled"] = "|cff9933ffSpy addon enabled."
L["SpyDisabled"] = "|cff9933ffSpy addon disabled. Type |cffffffff/spy enable|cff9933ff to enable."
L["UpgradeAvailable"] = "|cff9933ffA new version of Spy is available. It can be downloaded from:\n|cffffffffhttp://wow.curse.com/downloads/wow-addons/details/spy.aspx"

-- Configuration strings
L["Profiles"] = "Profiles"

L["GeneralSettings"] = "General Settings"
L["SpyDescription1"] = [[
Spy is an addon that will alert you to the presence of nearby enemy players.
]]
L["SpyDescription2"] = [[

|cffffd000Nearby list|cffffffff
The Nearby list displays any enemy players that have been detected nearby. Clicking the list allows you to target the player, however this only works out of combat. Players are removed from the list if they have not been detected after a period of time.

The clear button in the title bar can be used to clear the list, and holding Control while clearing the list will allow you to quickly enable/disable Spy.

|cffffd000Last Hour list|cffffffff
The Last Hour list displays all enemies that have been detected in the last hour.

|cffffd000Ignore list|cffffffff
Players that are added to the Ignore list will not be reported by Spy. You can add and remove players to/from this list by using the button's drop down menu or by holding the Control key while clicking the button.

|cffffd000Kill On Sight list|cffffffff
Players on your Kill On Sight list cause an alarm to sound when detected. You can add and remove players to/from this list by using the button's drop down menu or by holding the Shift key while clicking the button.

The drop down menu can also be used to set the reasons why you have added someone to the Kill On Sight list. If you want to enter a specific reason that is not in the list, then use the "Enter your own reason..." in the Other list.


|cffffd000Author: http://www.curse.com/users/slipjack|cffffffff

]]
L["EnableSpy"] = "Enable Spy"
L["EnableSpyDescription"] = "Enables or disables Spy both now and also on login."
L["EnabledInBattlegrounds"] = "Enable Spy in battlegrounds"
L["EnabledInBattlegroundsDescription"] = "Enables or disables Spy when you are in a battleground."
L["EnabledInArenas"] = "Enable Spy in arenas"
L["EnabledInArenasDescription"] = "Enables or disables Spy when you are in an arena."
L["EnabledInWintergrasp"] = "Enable Spy in world combat zones"
L["EnabledInWintergraspDescription"] = "Enables or disables Spy when you are in world combat zones such as Lake Wintergrasp in Northrend."
L["DisableWhenPVPUnflagged"] = "Disable Spy when not flagged for PVP"
L["DisableWhenPVPUnflaggedDescription"] = "Enables or disables Spy depending on your PVP status."

L["DisplayOptions"] = "Display"
L["DisplayOptionsDescription"] = [[
Spy can be shown or hidden automatically.
]]
L["ShowOnDetection"] = "Show Spy when enemy players are detected"
L["ShowOnDetectionDescription"] = "Set this to display the Spy window and the Nearby list if Spy is hidden when enemy players are detected."
L["HideSpy"] = "Hide Spy when no enemy players are detected"
L["HideSpyDescription"] = "Set this to hide Spy when the Nearby list is displayed and it becomes empty. Spy will not be hidden if you clear the list manually."
L["LockSpy"] = "Lock the Spy window"
L["LockSpyDescription"] = "Locks the Spy window in place so it doesn't move."
L["InvertSpy"] = "Invert the Spy window"
L["InvertSpyDescription"] = "Flips the Spy window upside down."
L["ResizeSpy"] = "Resize the Spy window automatically"
L["ResizeSpyDescription"] = "Set this to automatically resize the Spy window as enemy players are added and removed."
L["TooltipDisplayWinLoss"] = "Display win/loss statistics in tooltip"
L["TooltipDisplayWinLossDescription"] = "Set this to display the win/loss statistics of a player in the player's tooltip."
L["TooltipDisplayKOSReason"] = "Display Kill On Sight reasons in tooltip"
L["TooltipDisplayKOSReasonDescription"] = "Set this to display the Kill On Sight reasons of a player in the player's tooltip."
L["TooltipDisplayLastSeen"] = "Display last seen details in tooltip"
L["TooltipDisplayLastSeenDescription"] = "Set this to display the last known time and location of a player in the player's tooltip."

L["AlertOptions"] = "Alerts"
L["AlertOptionsDescription"] = [[
You can announce the details on an encounter to a chat channel and control how Spy alerts you when enemy players are detected.
]]
L["Announce"] = "Announce to:"
L["None"] = "None"
L["NoneDescription"] = "Do not announce when enemy players are detected."
L["Self"] = "Self"
L["SelfDescription"] = "Announce to yourself when enemy players are detected."
L["Party"] = "Party"
L["PartyDescription"] = "Announce to your party when enemy players are detected."
L["Guild"] = "Guild"
L["GuildDescription"] = "Announce to your guild when enemy players are detected."
L["Raid"] = "Raid"
L["RaidDescription"] = "Announce to your raid when enemy players are detected."
L["LocalDefense"] = "Local Defense"
L["LocalDefenseDescription"] = "Announce to the Local Defense channel when enemy players are detected."
L["OnlyAnnounceKoS"] = "Only announce enemy players that are Kill On Sight"
L["OnlyAnnounceKoSDescription"] = "Set this to only announce enemy players that are on your Kill On Sight list."
L["WarnOnStealth"] = "Warn upon stealth detection"
L["WarnOnStealthDescription"] = "Set this to display a warning and sound an alert when an enemy player gains stealth."
L["WarnOnKOS"] = "Warn upon Kill On Sight detection"
L["WarnOnKOSDescription"] = "Set this to display a warning and sound an alert when an enemy player on your Kill On Sight list is detected."
L["WarnOnKOSGuild"] = "Warn upon Kill On Sight guild detection"
L["WarnOnKOSGuildDescription"] = "Set this to display a warning and sound an alert when an enemy player in the same guild as someone on your Kill On Sight list is detected."
L["WarnOnRace"] = "Warn upon Race detection"
L["WarnOnRaceDescription"] = "Set this to sound an alert when the selected Race is detected."
L["SelectWarnRace"] = "Select Race for detection"
L["SelectWarnRaceDescription"] = "Select a Race for audio alert."
L["WarnRaceNote"] = "Note: You must target the enemy at least once so their Race can be added to the database. Upon the next detection an alert will sound. This does not work the same as detecting nearby enemies in combat."
L["DisplayWarningsInErrorsFrame"] = "Display warnings in the errors frame"
L["DisplayWarningsInErrorsFrameDescription"] = "Set this to use the errors frame to display warnings instead of using the graphical popup frames."
L["EnableSound"] = "Enable audio alerts"
L["EnableSoundDescription"] = "Set this to enable audio alerts when enemy players are detected. Different alerts sound if an enemy player gains stealth or if an enemy player is on your Kill On Sight list."

L["ListOptions"] = "Nearby List"
L["ListOptionsDescription"] = [[
You can configure how Spy adds and removes enemy players to and from the Nearby list.
]]
L["RemoveUndetected"] = "Remove enemy players from the Nearby list after:"
L["1Min"] = "1 minute"
L["1MinDescription"] = "Remove an enemy player who has been undetected for over 1 minute."
L["2Min"] = "2 minutes"
L["2MinDescription"] = "Remove an enemy player who has been undetected for over 2 minutes."
L["5Min"] = "5 minutes"
L["5MinDescription"] = "Remove an enemy player who has been undetected for over 5 minutes."
L["10Min"] = "10 minutes"
L["10MinDescription"] = "Remove an enemy player who has been undetected for over 10 minutes."
L["15Min"] = "15 minutes"
L["15MinDescription"] = "Remove an enemy player who has been undetected for over 15 minutes."
L["Never"] = "Never remove"
L["NeverDescription"] = "Never remove enemy players. The Nearby list can still be cleared manually."
L["ShowNearbyList"] = "Switch to the Nearby list upon enemy player detection"
L["ShowNearbyListDescription"] = "Set this to display the Nearby list if it is not already visible when enemy players are detected."
L["PrioritiseKoS"] = "Prioritise Kill On Sight enemy players in the Nearby list"
L["PrioritiseKoSDescription"] = "Set this to always show Kill On Sight enemy players first in the Nearby list."

L["MinimapOptions"] = "Map"
L["MinimapOptionsDescription"] = [[
For players who can track humanoids the minimap can be utilised to provide additional features.

Players who can track humanoids include hunters, druids, and those who have received the ability through other means such as eating a Blackened Worg Steak.
]]
L["MinimapTracking"] = "Enable minimap tracking"
L["MinimapTrackingDescription"] = "Set this to enable minimap tracking and detection. Known enemy players detected on the minimap will be added to the Nearby list."
L["MinimapDetails"] = "Display level/class details in tooltips"
L["MinimapDetailsDescription"] = "Set this to update the map tooltips so that level/class details are displayed alongside enemy names."
L["DisplayOnMap"] = "Display enemy location on map"
L["DisplayOnMapDescription"] = "Set this to display on the world map and minimap the location of enemies detected by other Spy users in your party, raid and guild."
L["MapDisplayLimit"] = "Limit displayed map icons to:"
L["LimitNone"] = "Everywhere"
L["LimitNoneDescription"] = "Displayes all detected enemies on the map regardless of your current location."
L["LimitSameZone"] = "Same zone"
L["LimitSameZoneDescription"] = "Only displays detected enemies on the map if you are in the same zone."
L["LimitSameContinent"] = "Same continent"
L["LimitSameContinentDescription"] = "Only displays detected enemies on the map if you are on the same continent."

L["DataOptions"] = "Data Management"
L["DataOptionsDescription"] = [[
You can configure how Spy maintains and gathers its data.
]]
L["PurgeData"] = "Purge undetected enemy player data after:"
L["OneDay"] = "1 day"
L["OneDayDescription"] = "Purge data for enemy players that have been undetected for 1 day."
L["FiveDays"] = "5 days"
L["FiveDaysDescription"] = "Purge data for enemy players that have been undetected for 5 days."
L["TenDays"] = "10 days"
L["TenDaysDescription"] = "Purge data for enemy players that have been undetected for 10 days."
L["ThirtyDays"] = "30 days"
L["ThirtyDaysDescription"] = "Purge data for enemy players that have been undetected for 30 days."
L["SixtyDays"] = "60 days"
L["SixtyDaysDescription"] = "Purge data for enemy players that have been undetected for 60 days."
L["NinetyDays"] = "90 days"
L["NinetyDaysDescription"] = "Purge data for enemy players that have been undetected for 90 days."
L["PurgeKoS"] = "Purge Kill on Sight players based on undetected time."
L["PurgeKoSDescription"] = "Set this to purge Kill on Sight players that have been undetected based on the time settings for undetected players."
L["PurgeWinLossData"] = "Purge win/loss data based on undetected time."
L["PurgeWinLossDataDescription"] = "Set this to purge win/loss data of your enemy encounters based on the time settings for undetected players."
L["ShareData"] = "Share data with other Spy addon users"
L["ShareDataDescription"] = "Set this to share the details of your enemy player encounters with other Spy users in your party, raid and guild."
L["UseData"] = "Use data from other Spy addon users"
L["UseDataDescription"] = [[Set this to use the data collected by other Spy users in your party, raid and guild.

If another Spy user detects an enemy player then that enemy player will be added to your Nearby list if there is room.
]]
L["ShareKOSBetweenCharacters"] = "Share Kill On Sight players between your characters"
L["ShareKOSBetweenCharactersDescription"] = "Set this to share the players you mark as Kill On Sight between other characters that you play on the same server and faction."

L["SlashCommand"] = "Slash Command"
L["SpySlashDescription"] = "These buttons execute the same functions as the ones in the slash command /spy"
L["Enable"] = "Enable"
L["EnableDescription"] = "Enables Spy and shows the main window."
L["Reset"] = "Reset"
L["ResetDescription"] = "Resets the position and appearance of the main window."
L["Config"] = "Config"
L["ConfigDescription"] = "Open the Interface Addons configuration window for Spy."
L["KOS"] = "KOS"
L["KOSDescription"] = "Add/remove a player to/from the Kill On Sight list."
L["Ignore"] = "Ignore"
L["IgnoreDescription"] = "Add/remove a player to/from the Ignore list."

-- Lists
L["Nearby"] = "Nearby"
L["LastHour"] = "Last Hour"
L["Ignore"] = "Ignore"
L["KillOnSight"] = "Kill On Sight"

--++ Class descriptions
L["DEATHKNIGHT"] = "Death Knight"
L["DEMONHUNTER"] = "Demon Hunter"
L["DRUID"] = "Druid"
L["HUNTER"] = "Hunter"
L["MAGE"] = "Mage"
L["MONK"] = "Monk"
L["PALADIN"] = "Paladin"
L["PRIEST"] = "Priest"
L["ROGUE"] = "Rogue"
L["SHAMAN"] = "Shaman"
L["WARLOCK"] = "Warlock"
L["WARRIOR"] = "Warrior"
L["UNKNOWN"] = "Unknown"

--++ Race descriptions
L["BLOOD ELF"] = "Blood Elf"
L["DRAENEI"] = "Draenei"
L["DWARF"] = "Dwarf"
L["GOBLIN"] = "Goblin"
L["GNOME"] = "Gnome"
L["HUMAN"] = "Human"
L["NIGHT ELF"] = "Night Elf"
L["ORC"] = "Orc"
L["PANDAREN"] = "Pandaren"
L["TAUREN"] = "Tauren"
L["TROLL"] = "Troll"
L["UNDEAD"] = "Undead"
L["WORGEN"] = "Worgen"

-- Stealth abilities
L["Stealth"] = "Stealth"
L["Prowl"] = "Prowl"

-- Channel names
L["LocalDefenseChannelName"] = "LocalDefense"

--++ Minimap color codes
L["MinimapClassTextDEATHKNIGHT"] = "|cffc41e3a"
L["MinimapClassTextDEMONHUNTER"] = "|cffa330c9"
L["MinimapClassTextDRUID"] = "|cffff7c0a"
L["MinimapClassTextHUNTER"] = "|cffaad372"
L["MinimapClassTextMAGE"] = "|cff68ccef"
L["MinimapClassTextMONK"] = "|cff00ff96"
L["MinimapClassTextPALADIN"] = "|cfff48cba"
L["MinimapClassTextPRIEST"] = "|cffffffff"
L["MinimapClassTextROGUE"] = "|cfffff468"
L["MinimapClassTextSHAMAN"] = "|cff2359ff"
L["MinimapClassTextWARLOCK"] = "|cff9382c9"
L["MinimapClassTextWARRIOR"] = "|cffc69b6d"
L["MinimapClassTextUNKNOWN"] = "|cff191919"
L["MinimapGuildText"] = "|cffffffff"

-- Output messages
L["AlertStealthTitle"] = "Stealth player detected!"
L["AlertKOSTitle"] = "Kill On Sight player detected!"
L["AlertKOSGuildTitle"] = "Kill On Sight player guild detected!"
L["AlertTitle_kosaway"] = "Kill On Sight player located by "
L["AlertTitle_kosguildaway"] = "Kill On Sight player guild located by "
L["StealthWarning"] = "|cff9933ffStealth player detected: |cffffffff"
L["KOSWarning"] = "|cffff0000Kill On Sight player detected: |cffffffff"
L["KOSGuildWarning"] = "|cffff0000Kill On Sight player guild detected: |cffffffff"
L["SpySignatureColored"] = "|cff9933ff[Spy] "
L["PlayerDetectedColored"] = "Player detected: |cffffffff"
L["PlayersDetectedColored"] = "Players detected: |cffffffff"
L["KillOnSightDetectedColored"] = "Kill On Sight player detected: |cffffffff"
L["PlayerAddedToIgnoreColored"] = "Added player to Ignore list: |cffffffff"
L["PlayerRemovedFromIgnoreColored"] = "Removed player from Ignore list: |cffffffff"
L["PlayerAddedToKOSColored"] = "Added player to Kill On Sight list: |cffffffff"
L["PlayerRemovedFromKOSColored"] = "Removed player from Kill On Sight list: |cffffffff"
L["PlayerDetected"] = "[Spy] Player detected: "
L["KillOnSightDetected"] = "[Spy] Kill On Sight player detected: "
L["Level"] = "Level"
L["LastSeen"] = "Last seen"
L["LessThanOneMinuteAgo"] = "less than a minute ago"
L["MinutesAgo"] = "minutes ago"
L["HoursAgo"] = "hours ago"
L["DaysAgo"] = "days ago"
L["Close"] = "Close"
L["CloseDescription"] = "|cffffffffHides the Spy window. By default will show again when the next enemy player is detected."
L["Left/Right"] = "Left/Right"
L["Left/RightDescription"] = "|cffffffffNavigates between the Nearby, Last Hour, Ignore and Kill On Sight lists."
L["Clear"] = "Clear"
L["ClearDescription"] = "|cffffffffClears the list of players that have been detected. CTRL click will Enable/Disable Spy while displayed."
L["NearbyCount"] = "Nearby Count"
L["NearbyCountDescription"] = "|cffffffffSends the count of nearby players to chat."
L["SpyStats"] = "Statistics"
L["SpyStatsDescription"] = "|cffffffffPlace holder to open a Spy Statistics window."
L["AddToIgnoreList"] = "Add to Ignore list"
L["AddToKOSList"] = "Add to Kill On Sight list"
L["RemoveFromIgnoreList"] = "Remove from Ignore list"
L["RemoveFromKOSList"] = "Remove from Kill On Sight list"
L["AnnounceDropDownMenu"] = "Announce"
L["KOSReasonDropDownMenu"] = "Set Kill On Sight reason"
L["PartyDropDownMenu"] = "Party"
L["RaidDropDownMenu"] = "Raid"
L["GuildDropDownMenu"] = "Guild"
L["LocalDefenseDropDownMenu"] = "Local Defense"
L["Player"] = " (Player)"
L["KOSReason"] = "Kill On Sight"
L["KOSReasonIndent"] = "    "
L["KOSReasonOther"] = "Enter your own reason..."
L["KOSReasonClear"] = "Clear"
L["StatsWins"] = "|cff40ff00Wins: "
L["StatsSeparator"] = "  "
L["StatsLoses"] = "|cff0070ddLoses: "
L["Located"] = "located:"
L["Yards"] = "yards"

--Spy_KOSReasonListLength = 13
Spy_KOSReasonListLength = 6
Spy_KOSReasonList = {
	[1] = {
		["title"] = "Started combat";
		["content"] = {
--			"Ambushed me",
--			"Always attacks me on sight",
			"Attacked me for no reason",
			"Attacked me at a quest giver", 
			"Attacked me while I was fighting NPCs",
			"Attacked me while I was entering/leaving an instance",
			"Attacked me while I was AFK",
--			"Attacked me while I was in a pet battle", --++
			"Attacked me while I was mounted/flying",
			"Attacked me while I had low health/mana",
--			"Steamrolled me with a group of enemies",
--			"Doesn't attack without backup",
--			"Dared to challenge me",
		};
	},
	[2] = {
		["title"] = "Style of combat";
		["content"] = {
			"Ambushed me",
			"Always attacks me on sight",
			"Killed me with a higher level character",
			"Steamrolled me with a group of enemies",
			"Doesn't attack without backup",
			"Always calls for help",
--			"Pushed me off a cliff",
--			"Uses engineering tricks",
			"Uses too much crowd control",
--			"Spams one ability all the time",
--			"Forced me to take durability damage",
--			"Killed me and escaped from my friends",
--			"Ran away then ambushed me",
--			"Always manages to escape",
--			"Bubble hearths to escape",
--			"Manages to stay in melee range",
--			"Manages to stay at kiting range",
--			"Absorbs too much damage",
--			"Heals too much",
--			"DPS's too much",
		};
	},
--	[3] = {
--		["title"] = "General behaviour";
-- 		["content"] = {
--			"Annoying",
--			"Rudeness",
--			"Cowardice",
--			"Arrogance",
--			"Overconfidence",
--			"Untrustworthy",
--			"Emotes too much",
--			"Stalked me/friends",
--			"Pretends to be good",
--			"Emotes 'not going to happen'",
--			"Waves goodbye at low health",
--			"Tried to placate me with a wave",
--			"Performed foul acts on my corpse",
--			"Laughed at me",
--			"Spat on me",
--		};
--	},
	[3] = {
		["title"] = "Camping";
		["content"] = {
			"Camped me",
			"Camped an alt",
			"Camped lowbies",
			"Camped from stealth",
			"Camped guild members",
			"Camped game NPCs/objectives",
			"Camped a city/site",
--			"Called in help to camp me",
--			"Made leveling a nightmare",
--			"Forced me to logout",
--			"Won't fight my main",
		};
	},
	[4] = {
		["title"] = "Questing";
		["content"] = {
			"Attacked me while I was questing",
			"Attacked me after I helped with a quest",
			"Interfered with a quest objective",
			"Started a quest I wanted to do",
			"Killed my faction's NPCs",
			"Killed a quest NPC",
		};
	},
	[5] = {
		["title"] = "Stole resources";
		["content"] = {
			"Gathered herbs I wanted",
			"Gathered minerals I wanted",
			"Gathered resources I wanted",
--			"Extracted gas from a cloud I wanted",
			"Killed me and stole my target/rare NPC",
			"Skinned my kills",
			"Salvaged my kills",
			"Fished in my pool",
		};
	},
--[[	[7] = {
		["title"] = "Battlegrounds";
		["content"] = {
			"Always loots corpses",
			"Very good flag runner",
			"Backcaps flags or bases",
			"Stealth caps flags or bases",
			"Killed me and took the flag",
			"Interferes with battleground objectives",
			"Took a power-up I wanted",
			"Forced tank to lose agro",
			"Caused a wipe",
			"Destroys siege engines",
			"Drops bombs",
			"Disarms bombs",
			"Fear bomber",
		};
	},
	[8] = {
		["title"] = "Real life";
		["content"] = {
			"Friend in real life",
			"Enemy in real life",
			"Spreads rumours about me",
			"Complains on the forums",
			"Spy for the other faction",
			"Traitor to my faction",
			"Reneged on a deal",
			"Pretentious nub",
			"Another know-it-all",
			"Another Johnny-come-lately",
			"Cross faction trash talker",
		};
	},
	[9] = {
		["title"] = "Difficulty";
		["content"] = {
			"Impossible to kill",
			"Wins most of the time",
			"Seems like a fair match",
			"Loses most of the time",
			"Fun to kill",
			"Easy honor",
		};
	},
	[10] = {
		["title"] = "Race";
		["content"] = {
			"Hate the player's race",
			"Blood Elves are narcissistic",
			"Draenei are slimy space squids",
			"Dwarves are short hairy doorstops",
			"Goblins would sell their own mothers for a profit",
			"Gnomes belong in a garden",
			"Humans are righteous busybodies",
			"Night Elves hug too many trees",
			"Orcs are warmongering barbarians",
			"Pandarens keep telling me to slow down", --++
			"Tauren should be on my burger",
			"Trolls should stay on web forums",
			"Undead are unnatural abominations",
			"Worgen have too many fleas",
		};
	},
	[11] = {
		["title"] = "Class";
		["content"] = {
			"Hate the player's class",
			"Death Knights are overpowered",
			"Druids are dirty animals",
			"Hunters are easy mode",
			"Mages are deluded intellects",
			"Monks chi is weak", --++
			"Paladins are sanctimonious fools",
			"Priests are pious preachers",
			"Rogues have no honor",
			"Shamans talk to imaginary animals",
			"Warlocks are necromantic sadists",
			"Warriors have anger issues",
		};
	},
	[12] = {
		["title"] = "Name";
		["content"] = {
			"Has a ridiculous name",
			"Pretentious name",
			"Variant of Legolas",
			"Name has weird characters",
			"Guild name is ridiculous",
			"Guild name uses only capital letters",
			"Guild name uses capital letters and spaces",
			"Guild name states they hate my faction",
		};
	},]]--
--	[13] = {
	[6] = {
		["title"] = "Other";
		["content"] = {
--			"Karma",
--			"Red is dead",
--			"Just because",
--			"Fails at PvP",
			"Flagged for PvP",
--			"Doesn't want to PvP",
--			"Wastes both our time",
--			"This player is a noob",
--			"I really hate this player",
--			"Doesn't level fast enough",
			"Pushed me off a cliff",
			"Uses engineering tricks",
			"Always manages to escape",
			"Uses items and skills to escape",
			"Exploits game mechanics",
--			"Suspected hacker",
--			"Farmer",
--			"Other...",
			"Enter your own reason...",
		};
	},
}

StaticPopupDialogs["Spy_SetKOSReasonOther"] = {
	preferredIndex=STATICPOPUPS_NUMDIALOGS,  -- http://forums.wowace.com/showthread.php?p=320956
	text = "Enter the Kill On Sight reason for %s:",
	button1 = "Set",
	button2 = "Cancel",
	timeout = 20,
	hasEditBox = 1,
	whileDead = 1,
	hideOnEscape = 1,
	OnShow = function(self)
		self.editBox:SetText("");
	end,
    	OnAccept = function(self)
		local reason = self.editBox:GetText()
--		Spy:SetKOSReason(self.playerName, "Other...", reason)
		Spy:SetKOSReason(self.playerName, "Enter your own reason...", reason)
	end,
};

Spy_AbilityList = {

-----------------------------------------------------------
-- Allows an estimation of the race, class and level of a
-- player to be determined from what abilities are observed
-- in the combat log.
-----------------------------------------------------------

--++ Racials ++
	["Stoneform"] = 			{ race = "Dwarf", level = 1, },
	["Escape Artist"] = 		{ race = "Gnome", level = 1, },
	["Every Man for Himself"] = { race = "Human", level = 1, },
	["Shadowmeld"] = 			{ race = "Night Elf", level = 1, },
	["Gift of the Naaru"] = 	{ race = "Draenei", level = 1, },
	["Darkflight"] = 			{ race = "Worgen", level = 1, },
	["Two Forms"] = 			{ race = "Worgen", level = 1, },
	["Running Wild"] = 			{ race = "Worgen", level = 1, },
	["Blood Fury"] = 			{ race = "Orc", level = 1, },
	["War Stomp"] = 			{ race = "Tauren", level = 1, },
	["Berserking"] = 			{ race = "Troll", level = 1, },
	["Will of the Forsaken"] = 	{ race = "Undead", level = 1, },
	["Cannibalize"] = 			{ race = "Undead", level = 1, },
	["Arcane Torrent"] = 		{ race = "Blood Elf", level = 1, },
	["Rocket Jump"] = 			{ race = "Goblin", level = 1, },
	["Rocket Barrage"] = 		{ race = "Goblin", level = 1, },
	["Pack Hobgoblin"] = 		{ race = "Goblin", level = 1, },
	["Quaking Palm"] =			{ race = "Pandaren", level = 1, },

--++ Death Knight Abilities ++
	["Frost Breath"] = 			{ class = "DEATHKNIGHT", level = 1, },	--7
	["Consumption"] = 			{ class = "DEATHKNIGHT", level = 1, },	--7
	["Corpse Explosion"] = 		{ class = "DEATHKNIGHT", level = 25, },	--7
	["Blood Plague"] = 			{ class = "DEATHKNIGHT", level = 55, }, 
--	["Blood Strike"] = 			{ class = "DEATHKNIGHT", level = 55, }, x
	["Death Gate"] = 			{ class = "DEATHKNIGHT", level = 55, }, 
	["Death Grip"] = 			{ class = "DEATHKNIGHT", level = 55, },
	["Death Strike"] = 			{ class = "DEATHKNIGHT", level = 55, }, --7m  	
	["Frost Fever"] = 			{ class = "DEATHKNIGHT", level = 55, },	
	["Rune of Razorice"] = 		{ class = "DEATHKNIGHT", level = 55, },
--	["Frost Presence"] = 		{ class = "DEATHKNIGHT", level = 55, },  7
--	["Icy Touch"] = 			{ class = "DEATHKNIGHT", level = 55, },  7
--	["Plague Strike"] = 		{ class = "DEATHKNIGHT", level = 55, },  7
	["Runeforging"] = 			{ class = "DEATHKNIGHT", level = 55, },  
	["Anti-Magic Shell"] = 		{ class = "DEATHKNIGHT", level = 57, }, --7m
	["Dark Command"]  = 		{ class = "DEATHKNIGHT", level = 58, },	--7m
--	["Pestilence"] = 			{ class = "DEATHKNIGHT", level = 56, }, --7 
--	["Blood Presence"] = 		{ class = "DEATHKNIGHT", level = 57, }, 	
	["On a Pale Horse"] = 		{ class = "DEATHKNIGHT", level = 61, }, 
	["Mind Freeze"] = 			{ class = "DEATHKNIGHT", level = 62, },  
--	["Strangulate"] = 			{ class = "DEATHKNIGHT", level = 58, }, 7 
--	["Unholy Presence"] = 		{ class = "DEATHKNIGHT", level = 64, }, 7
	["Path of Frost"] = 		{ class = "DEATHKNIGHT", level = 66, }, 
	["Control Undead"] = 		{ class = "DEATHKNIGHT", level = 69, },  
--	["Empower Rune Weapon"] = 	{ class = "DEATHKNIGHT", level = 76, }, 7
--	["Necrotic Strike"] = 		{ class = "DEATHKNIGHT", level = 83, }, x
--	["Dark Simulacrum"] = 		{ class = "DEATHKNIGHT", level = 85, }, 7 
--	["Rune of Cinderglacier"] = { class = "DEATHKNIGHT", level = 55, }, 7
	["Rune of Fallen Crusader"] = { class = "DEATHKNIGHT", level = 70, },	
 	["Raise Ally"] = 			{ class = "DEATHKNIGHT", level = 72, },
--	["Rune of Lichbane"] = 		{ class = "DEATHKNIGHT", level = 60, }, 7
--	["Rune of Spellbreaking"] = { class = "DEATHKNIGHT", level = 57, }, 7
--	["Rune of Spellshattering"] = { class = "DEATHKNIGHT", level = 57, }, 7
--	["Rune of Swordbreaking"] = { class = "DEATHKNIGHT", level = 63, }, x
--	["Rune of Swordshattering"] = { class = "DEATHKNIGHT", level = 63, }, x
--	["Rune of the Nerubian Carapace"] = { class = "DEATHKNIGHT", level = 72, }, 7
	["Rune of the Stoneskin Gargoyle"] = { class = "DEATHKNIGHT", level = 72, },
--++ Death Knight Specialization ++
	--++ Blood/Frost/Unholy ++
 	["Wraith Walk"] = 			{ class = "DEATHKNIGHT", level = 60, }, --7n
	--++ Blood/Unholy ++	
	["Death and Decay"] = 		{ class = "DEATHKNIGHT", level = 56, }, --7m	
	--++ Frost/Unholy ++
--	["Unholy Aura"] = 			{ class = "DEATHKNIGHT", level = 60, }, 7
	["Dark Succor"] = 			{ class = "DEATHKNIGHT", level = 58, },	--7n
	["Chains of Ice"] = 		{ class = "DEATHKNIGHT", level = 63, }, --7m 	
	["Icebound Fortitude"] = 	{ class = "DEATHKNIGHT", level = 62, }, --7m
	--++ Blood ++
	["Asphyxiate"] = 			{ class = "DEATHKNIGHT", level = 1, }, --??	
	["Heart Strike"]  = 		{ class = "DEATHKNIGHT", level = 1, }, --7 
	["Marrowrend"]  = 			{ class = "DEATHKNIGHT", level = 55, }, --7n	
--	["Blood Rites"]  = 			{ class = "DEATHKNIGHT", level = 55, }, 7
--	["Resolve"] = 				{ class = "DEATHKNIGHT", level = 10, }, --++ Conflict with Druid/Monk
--	["Vengeance"]  = 			{ class = "DEATHKNIGHT", level = 55, },	x  
	["Blood Boil"] = 			{ class = "DEATHKNIGHT", level = 56, }, --7m
	["Dancing Rune Weapon"] = 	{ class = "DEATHKNIGHT", level = 57, }, --7m
	["Vampiric Blood"] = 		{ class = "DEATHKNIGHT", level = 57, },	--7m
	["Death's Caress"] = 		{ class = "DEATHKNIGHT", level = 58, },	--7n	
	["Veteran of the Third War"] = { class = "DEATHKNIGHT", level = 60, },
	["Crimson Scourge"] = 		{ class = "DEATHKNIGHT", level = 84, },	
	["Gorefiend's Grasp"] = 	{ class = "DEATHKNIGHT", level = 64, }, --7m
--	["Ripsote"] = 				{ class = "DEATHKNIGHT", level = 76, }, --++ Warriors also have this ability	
	["Blood Shield"] = 			{ class = "DEATHKNIGHT", level = 78, },
--	["Scent of Blood"] = 		{ class = "DEATHKNIGHT", level = 62, },	7  
--	["Improved Blood Presence"] = { class = "DEATHKNIGHT", level = 64, }, 7
--	["Rune Strike"] = 			{ class = "DEATHKNIGHT", level = 65, },	x  
--	["Blood Parasite"] = 		{ class = "DEATHKNIGHT", level = 66, },	x  
--	["Scarlet Fever"] = 		{ class = "DEATHKNIGHT", level = 68, },	x  
--	["Sanguine Fortitude"] = 	{ class = "DEATHKNIGHT", level = 72, },	7  
--	["Bone Shield"] = 			{ class = "DEATHKNIGHT", level = 78, }, 7
--	["Power of the Grave"] = 	{ class = "DEATHKNIGHT", level = 80, }, --++7
--	["Runic Strike"] =	 		{ class = "DEATHKNIGHT", level = 90, },	--++7
	--++ Frost ++ 
	["Runic Empowerment"] = 	{ class = "DEATHKNIGHT", level = 1, }, --7m??
	["Frost Fever"] = 			{ class = "DEATHKNIGHT", level = 55, },	--7n	
--	["Blood of the North"] = 	{ class = "DEATHKNIGHT", level = 55, },	  
	["Frost Strike"] = 			{ class = "DEATHKNIGHT", level = 55, },	  
	["Howling Blast"] = 		{ class = "DEATHKNIGHT", level = 55, },	  
	["Obliterate"] = 			{ class = "DEATHKNIGHT", level = 55, },	  
	["Killing Machine"] = 		{ class = "DEATHKNIGHT", level = 56, },	  
--	["Improved Frost Presence"] = { class = "DEATHKNIGHT", level = 65, }, 7
--	["Brittle Bones"] = 		{ class = "DEATHKNIGHT", level = 66, },	x 
 	["Empower Rune Weapon"] = 	{ class = "DEATHKNIGHT", level = 57, },	--7n
	["Pillar of Frost"] = 		{ class = "DEATHKNIGHT", level = 57, },	
	["Rime"] = 					{ class = "DEATHKNIGHT", level = 59, },
--	["Might of the Frozen Wastes"] = { class = "DEATHKNIGHT", level = 74, }, 7
--	["Threat of Thassarian"] = 	{ class = "DEATHKNIGHT", level = 74, },	7   
	["Frozen Heart"] = 			{ class = "DEATHKNIGHT", level = 78, },	
	--++ Unholy ++  
	["Festering Wound"] = 		{ class = "DEATHKNIGHT", level = 1, }, --7n	
	["Runic Corruption"] = 		{ class = "DEATHKNIGHT", level = 1, }, --7m??	
--	["Master of Ghouls"] = 		{ class = "DEATHKNIGHT", level = 55, },	x 
	["Death Coil"] = 			{ class = "DEATHKNIGHT", level = 55, }, --7m 
	["Death's Advance"] = 		{ class = "DEATHKNIGHT", level = 55, },	--7m
	["Festering Strike"] = 		{ class = "DEATHKNIGHT", level = 55, },
	["Outbreak"] = 				{ class = "DEATHKNIGHT", level = 55, }, --7m	
	["Raise Dead"] = 			{ class = "DEATHKNIGHT", level = 55, }, --7m
	["Scourge Strike"] = 		{ class = "DEATHKNIGHT", level = 55, },
--	["Reaping"] = 				{ class = "DEATHKNIGHT", level = 55, },	7  
--	["Unholy Might"] = 			{ class = "DEATHKNIGHT", level = 55, },	7  
--	["Shadow Infusion"] = 		{ class = "DEATHKNIGHT", level = 60, },	7  
	["Sudden Doom"] = 			{ class = "DEATHKNIGHT", level = 64, },
--	["Ebon Plaguebringer"] = 	{ class = "DEATHKNIGHT", level = 68, },	7  
	["Dark Transformation"] = 	{ class = "DEATHKNIGHT", level = 74, },	  
	["Summon Gargoyle"] = 		{ class = "DEATHKNIGHT", level = 75, },	  
--	["Improved Unholy Presence"] = { class = "DEATHKNIGHT", level = 75, }, 7	  
	["Dreadblade"] = 			{ class = "DEATHKNIGHT", level = 78, },
	["Army of the Dead"] = 		{ class = "DEATHKNIGHT", level = 82, }, --7m	
--++ Death Knight Talents ++
	--++ Blood ++
	["Blooddrinker"] = 			{ class = "DEATHKNIGHT", level = 56, }, --7n
	["Bloodworms"] = 			{ class = "DEATHKNIGHT", level = 56, }, --7n
	["Heartbreaker"] = 			{ class = "DEATHKNIGHT", level = 56, }, --7n
	["Rapid Decomposition"] = 	{ class = "DEATHKNIGHT", level = 57, }, --7n
	["Soulgorge"] = 			{ class = "DEATHKNIGHT", level = 57, }, --7n
	["Special Deflection"] = 	{ class = "DEATHKNIGHT", level = 57, }, --7n
	["Anti-Maigc Barrier"] = 	{ class = "DEATHKNIGHT", level = 58, }, --7n	
	["Blood Tap"] = 			{ class = "DEATHKNIGHT", level = 58, }, --7m
	["Ossuary"] = 				{ class = "DEATHKNIGHT", level = 58, }, --7n
	["Mark of Blood"] = 		{ class = "DEATHKNIGHT", level = 60, }, --7n	
	["Red Thirst"] = 			{ class = "DEATHKNIGHT", level = 60, }, --7n	
	["Tombstone"] = 			{ class = "DEATHKNIGHT", level = 60, }, --7n	
	["March of the Damned"] = 	{ class = "DEATHKNIGHT", level = 75, }, --7n	
	["Tighten Grasp"] = 		{ class = "DEATHKNIGHT", level = 75, }, --7n	
	["Tremble Before Me"] = 	{ class = "DEATHKNIGHT", level = 75, }, --7n	
	["Foul Bulwark"] = 			{ class = "DEATHKNIGHT", level = 90, }, --7n	
	["Rune Tap"] = 				{ class = "DEATHKNIGHT", level = 90, },	--7m
 	["Will of the Necropolis"] = { class = "DEATHKNIGHT", level = 90, }, --7m	
 	["Blood Mirror"] = 			{ class = "DEATHKNIGHT", level = 100, }, --7n
 	["Bonestorm"] = 			{ class = "DEATHKNIGHT", level = 100, }, --7n	
 	["Purgatory"] = 			{ class = "DEATHKNIGHT", level = 100, }, --7m	
	--++ Frost ++ 
	["Icy Talons"] = 			{ class = "DEATHKNIGHT", level = 56, },	--7m	
	["Murderous Efficiency"] = 	{ class = "DEATHKNIGHT", level = 56, }, --7n	
	["Shattering Strikes"] = 	{ class = "DEATHKNIGHT", level = 56, }, --7n
	["Freezing Fog"] = 			{ class = "DEATHKNIGHT", level = 57, }, --7n
	["Frozen Pulse"] = 			{ class = "DEATHKNIGHT", level = 57, }, --7n
	["Horn of Winter"] = 		{ class = "DEATHKNIGHT", level = 57, }, --7m	
	["Avalanche"] = 			{ class = "DEATHKNIGHT", level = 58, }, --7n
	["Hungering Rune Weapon"] = { class = "DEATHKNIGHT", level = 58, }, --7n
	["Icecap"] = 				{ class = "DEATHKNIGHT", level = 58, }, --7n
	["Abomination's Might"] = 	{ class = "DEATHKNIGHT", level = 60, }, --7n
	["Blinding Sleet"] = 		{ class = "DEATHKNIGHT", level = 60, }, --7n
	["Winter is Coming"] = 		{ class = "DEATHKNIGHT", level = 60, }, --7n
	["Permafrost"] = 			{ class = "DEATHKNIGHT", level = 75, }, --7n
	["Volatile Shielding"] = 	{ class = "DEATHKNIGHT", level = 75, }, --7n
	["White Walker"] = 			{ class = "DEATHKNIGHT", level = 75, }, --7n
	["Fostscythe"] = 			{ class = "DEATHKNIGHT", level = 90, }, --7n	
	["Gathering Storm"] = 		{ class = "DEATHKNIGHT", level = 90, }, --7n
	["Runic Attenuation"] = 	{ class = "DEATHKNIGHT", level = 90, }, --7n	
	["Breath of Sindragosa"]=	{ class = "DEATHKNIGHT", level = 100, }, --7m
	["Glacial Advance"] = 		{ class = "DEATHKNIGHT", level = 100, }, --7n		
	["Obliteration"] = 			{ class = "DEATHKNIGHT", level = 100, }, --7n		
	--++ Unholy ++ 
	["All Will Serve"] =		{ class = "DEATHKNIGHT", level = 56, },--7n
	["Bursting Sores"] =		{ class = "DEATHKNIGHT", level = 56, },--7n	
	["Ebon Fever"] =			{ class = "DEATHKNIGHT", level = 56, },--7n	
	["Blighted Rune Weapon"] =	{ class = "DEATHKNIGHT", level = 57, },--7n	
	["Epidemic"] =			 	{ class = "DEATHKNIGHT", level = 57, },--7n	
	["Pestilent Pustules"] =	{ class = "DEATHKNIGHT", level = 57, },--7n	
	["Castigator"] =			{ class = "DEATHKNIGHT", level = 58, },--7n	
	["Clawing Shadows"] =		{ class = "DEATHKNIGHT", level = 58, },--7n	
	["Unholy Frenzy"] = 		{ class = "DEATHKNIGHT", level = 58, },	--7m 
	["Asphyxiate"] = 			{ class = "DEATHKNIGHT", level = 60, },
	["Debilitating Infestation"] = { class = "DEATHKNIGHT", level = 60, },--7n
	["Sludge Belcher"] =		{ class = "DEATHKNIGHT", level = 60, },--7n
	["Corpse Shield"] =			{ class = "DEATHKNIGHT", level = 75, },--7n
	["Lingering Apperation"] =	{ class = "DEATHKNIGHT", level = 75, },--7n
	["Spell Eater"] =			{ class = "DEATHKNIGHT", level = 75, },--7n
	["Infected Claws"] =		{ class = "DEATHKNIGHT", level = 90, },--7n	
	["Necrosis"] = 				{ class = "DEATHKNIGHT", level = 90, },	--7m
	["Shadow Infusion"] =		{ class = "DEATHKNIGHT", level = 90, },--7n	
	["Dark Arbiter"] =			{ class = "DEATHKNIGHT", level = 100, },--7n
	["Defile"] =			 	{ class = "DEATHKNIGHT", level = 100, },--7m
	["Soul Reaper"] = 			{ class = "DEATHKNIGHT", level = 100, }, --7m	
--	["Plague Leech"] = 			{ class = "DEATHKNIGHT", level = 56, },	7
--	["Unholy Blight"] = 		{ class = "DEATHKNIGHT", level = 56, },	7
--	["Plaguebearer"]=			{ class = "DEATHKNIGHT", level = 56, }, 7
--	["Lichborne"] = 			{ class = "DEATHKNIGHT", level = 57, },	7
--	["Anti-Magic Zone"] = 		{ class = "DEATHKNIGHT", level = 57, },	7
--	["Chilblains"] = 			{ class = "DEATHKNIGHT", level = 58, },	7
--	["Death Pact"] = 			{ class = "DEATHKNIGHT", level = 75, },	7
--	["Death Siphon"] =	 		{ class = "DEATHKNIGHT", level = 75, },	7
--	["Conversion"] = 			{ class = "DEATHKNIGHT", level = 75, },	7
--	["Remorseless Winter"] = 	{ class = "DEATHKNIGHT", level = 90, },	7
--	["Desecrated Ground"] = 	{ class = "DEATHKNIGHT", level = 90, }, 7
--	["Necrotic Plague"]=		{ class = "DEATHKNIGHT", level = 100, },--++7

--++ Demon Hunter Abilities ++
--	["Critical Strikes"]=		{ class = "DEMONHUNTER", level = 98, },
--	["Parry"]=					{ class = "DEMONHUNTER", level = 98, }, Conflict
	["Blade Dance"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Blur"]=					{ class = "DEMONHUNTER", level = 98, }, 
	["Chaos Nova"]=				{ class = "DEMONHUNTER", level = 98, }, 
	["Chaos Strike"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Consume Magic"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Darkness"]=				{ class = "DEMONHUNTER", level = 98, },
	["Demon's Bite"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Double Jump"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Energy Regen"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Eye Beam"]=				{ class = "DEMONHUNTER", level = 98, }, 
	["Fel Rush"]=				{ class = "DEMONHUNTER", level = 98, }, 
	["Fury of the Illidari"]=	{ class = "DEMONHUNTER", level = 98, }, 
	["Glide"]=					{ class = "DEMONHUNTER", level = 98, }, 
	["Imprison"]=				{ class = "DEMONHUNTER", level = 98, }, 
	["Metamorphosis"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Soul Carver"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Spectral Sight"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Throw Glaive"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Vengeful Retreat"]=		{ class = "DEMONHUNTER", level = 98, }, 
--++ Demon Hunter Specialization ++
	--++ Havoc/Vengeance ++	
	["Shattered Souls"]=		{ class = "DEMONHUNTER", level = 98, },
	--++ Havoc ++	
	["Demonic Presence"]= { class = "DEMONHUNTER", level = 98, }, 
	--++ Vengeance ++	
	["Immolation Aura"]=		{ class = "DEMONHUNTER", level = 98, },
	["Increased Threat"]=		{ class = "DEMONHUNTER", level = 98, },
	["Infernal Strike"]=		{ class = "DEMONHUNTER", level = 98, },
	["Pain"]=					{ class = "DEMONHUNTER", level = 98, },
	["Torment"]=				{ class = "DEMONHUNTER", level = 98, },
	["Demon Spikes"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Demonic Wards"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Fiery Brand"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Fel Blood"]=	  			{ class = "DEMONHUNTER", level = 98, }, 
	["Metamorphosis"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Shear"]=					{ class = "DEMONHUNTER", level = 98, }, 
	["Sigil of Flame"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Soul Cleave"]=			{ class = "DEMONHUNTER", level = 98, }, 
	["Throw Glaive"]=			{ class = "DEMONHUNTER", level = 98, }, 
--	["Riposte"]=				{ class = "DEMONHUNTER", level = 98, },
	["Empower Wards"]=			{ class = "DEMONHUNTER", level = 100, },  
	["Sigil of Chains"]=		{ class = "DEMONHUNTER", level = 100, },   
	["Sigil of Misery"]=		{ class = "DEMONHUNTER", level = 100, },   
	["Sigil of Silence"]=		{ class = "DEMONHUNTER", level = 100, },    
--++ Demon Hunter Talents ++
	["Felblade"]=				{ class = "DEMONHUNTER", level = 102, }, 
	["Soul Rending"]=			{ class = "DEMONHUNTER", level = 104, },
	["Fel Eruption"]=			{ class = "DEMONHUNTER", level = 106, }, 
	--++ Havoc ++	
	["Blind Fury"]=				{ class = "DEMONHUNTER", level = 99, },  
	["Chaos Cleave"]=			{ class = "DEMONHUNTER", level = 99, },  
	["Fel Mastery"]=			{ class = "DEMONHUNTER", level = 99, },  
	["Demon Blades"]=			{ class = "DEMONHUNTER", level = 100, }, 
	["Demonic Appetite"]=		{ class = "DEMONHUNTER", level = 100, }, 
	["Prepared"]=				{ class = "DEMONHUNTER", level = 100, }, 
	["Bloodlet"]=				{ class = "DEMONHUNTER", level = 102, }, 
	["First Blood"]=			{ class = "DEMONHUNTER", level = 102, }, 
	["Desperate Instincts"]=	{ class = "DEMONHUNTER", level = 104, }, 
	["Netherwalk"]=				{ class = "DEMONHUNTER", level = 104, }, 
	["Momentum"]=				{ class = "DEMONHUNTER", level = 106, }, 
	["Nemesis"]=				{ class = "DEMONHUNTER", level = 106, }, 
	["Master of the Glaive"]=	{ class = "DEMONHUNTER", level = 108, }, 
	["Demon Reborn"]=			{ class = "DEMONHUNTER", level = 108, }, 
	["Unleashed Power"]=		{ class = "DEMONHUNTER", level = 108, }, 
	["Chaos Blades"]=			{ class = "DEMONHUNTER", level = 110, }, 
	["Demonic"]=				{ class = "DEMONHUNTER", level = 110, }, 
	["Fel Barrage"]=			{ class = "DEMONHUNTER", level = 110, },
	--++ Vengeance ++
	["Abyssal Strike"]=			{ class = "DEMONHUNTER", level = 99, }, 
	["Agonizing Flames"]=		{ class = "DEMONHUNTER", level = 99, }, 
	["Razor Spikes"]=			{ class = "DEMONHUNTER", level = 99, }, 
	["Burning Alive"]=			{ class = "DEMONHUNTER", level = 100, }, 
	["Fallout"]=				{ class = "DEMONHUNTER", level = 100, }, 
	["Feast of Souls"]=			{ class = "DEMONHUNTER", level = 100, }, 
	["Flame Crash"]=			{ class = "DEMONHUNTER", level = 102, }, 
	["Gluttony"]=				{ class = "DEMONHUNTER", level = 102, }, 
	["Feed the Demon"]=			{ class = "DEMONHUNTER", level = 104, }, 
	["Fracture"]=				{ class = "DEMONHUNTER", level = 104, }, 
 	["Concentrated Sigils"]=	{ class = "DEMONHUNTER", level = 106, }, 
	["Quickened Sigils"]=		{ class = "DEMONHUNTER", level = 106, }, 
	["Blade Turning"]=			{ class = "DEMONHUNTER", level = 108, }, 
	["Fel Devastation"]=		{ class = "DEMONHUNTER", level = 108, }, 
	["Spirit Bomb"]=			{ class = "DEMONHUNTER", level = 108, }, 
	["Last Resort"]=			{ class = "DEMONHUNTER", level = 110, }, 
	["Nether Bond"]=			{ class = "DEMONHUNTER", level = 110, }, 
	["Soul Barrier"]=			{ class = "DEMONHUNTER", level = 110, },
	
	--++ Druid Abilities ++
	["Ashamane's Frenzy"] = 	{ class = "DRUID", level = 1, }, --7n
--	["Wrath"] = 				{ class = "DRUID", level = 1, }, 7
	["Cat Form"] = 				{ class = "DRUID", level = 1, },
	["Rage of the Sleeper"] = 	{ class = "DRUID", level = 1, }, --7n
--	["Track Humanoids"] = 		{ class = "DRUID", level = 1, }, 7 Conflict
	["Feline Grace"] = 			{ class = "DRUID", level = 6, },
--	["Rake"] = 					{ class = "DRUID", level = 6, }, --x Moved
	["Bear Form"] = 			{ class = "DRUID", level = 8, },
	["Clearcasting"] =	 		{ class = "DRUID", level = 10, },
	["Moonfire"] = 				{ class = "DRUID", level = 10, },
	["Growl"] = 				{ class = "DRUID", level = 13, },
--	["Maul"] = 					{ class = "DRUID", level = 8, }, --x Moved
	["Dreamwalk"] = 			{ class = "DRUID", level = 14, }, --7n
	["Revive"] = 				{ class = "DRUID", level = 14, },
	["Teleport: Moonglade"] = 	{ class = "DRUID", level = 14, },
	["Travel Form"] = 			{ class = "DRUID", level = 16, },
	["Aquatic Form"] = 			{ class = "DRUID", level = 18, },
	["Sunfire"] = 				{ class = "DRUID", level = 18, },--7m??
	["Thrash"] = 		 		{ class = "DRUID", level = 18, }, --7??
	["Entangling Roots"] = 		{ class = "DRUID", level = 10, }, 
--	["Ravage!"] = 				{ class = "DRUID", level = 22, }, 7
--	["Dash"] = 					{ class = "DRUID", level = 24, }, 7 Conflict
--	["Faerie Fire"] = 			{ class = "DRUID", level = 28, }, 7
--	["Primal Fury"] = 			{ class = "DRUID", level = 30, }, 7
--	["Pounce"] = 				{ class = "DRUID", level = 32, }, x
--	["Lacerate"] = 				{ class = "DRUID", level = 38, },--x Moved
	["Charm Woodland Creature"] = { class = "DRUID", level = 40, },	--7m
	["Flap"] = 					{ class = "DRUID", level = 40, }, --7n	
	["Stag From"] = 			{ class = "DRUID", level = 40, }, --7n	
--	["Track Beast"] = 			{ class = "DRUID", level = 40, }, 7 Conflict	
--	["Astral Storm"] = 			{ class = "DRUID", level = 42, }, 7
--	["Hurricane"] = 			{ class = "DRUID", level = 42, }, 7
--	["Barkskin"] = 				{ class = "DRUID", level = 44, }, --x Moved
--	["Nature's Grasp"] = 		{ class = "DRUID", level = 52, }, x
	["Rebirth"] = 				{ class = "DRUID", level = 56, },
	["Flight Form"] = 			{ class = "DRUID", level = 58, },
--	["Soothe"] = 				{ class = "DRUID", level = 60, },
--	["Mark of the Wild"] = 		{ class = "DRUID", level = 62, },
--	["Hibernate"] = 			{ class = "DRUID", level = 66, }, x
--	["Swift Flight Form"] = 	{ class = "DRUID", level = 70, },
--	["Might of Ursoc"] = 		{ class = "DRUID", level = 72, },
--	["Tranquility"] = 			{ class = "DRUID", level = 74, }, --x Moved
--	["Cyclone"] = 				{ class = "DRUID", level = 78, },
--	["Maim"] = 					{ class = "DRUID", level = 82, }, --x Moved
--	["Symbiosis"] = 			{ class = "DRUID", level = 87, }, x
	--++ Glyph Abilities ++
--	["Treant Form"] = 			{ class = "DRUID", level = 25, },	
--++ Druid Specialization ++
	--++ Balance/Feral/Restoration/Restoration ++
	["Prowl"] = 				{ class = "DRUID", level = 5, }, --7m
	["Healing Touch"] = 		{ class = "DRUID", level = 26, }, --7m
	--++ Balance/Restoration ++
--	["Natural Insight"] = 		{ class = "DRUID", level = 10, }, 7
--	["Nature's Swiftness"] = 	{ class = "DRUID", level = 30, }, --x Moved 
--	["Killer Instinct"] = 		{ class = "DRUID", level = 34, }, 7
	["Innervate"] = 			{ class = "DRUID", level = 54, }, --7m	
--	["Wild Mushroom"] = 		{ class = "DRUID", level = 84, }, 7
	--++ Balance/Feral/Guardian ++
	["Remove Corruption"] = 	{ class = "DRUID", level = 18, },
	--++ Balance/Guardian/Restoration ++
	["Barkskin"] = 				{ class = "DRUID", level = 36, }, --x Moved
	--++ Feral/Guardian ++
--	["Critical Strikes"] = 		{ class = "DRUID", level = 1, }, --7m Conflict with Monk
--	["Mana Attunement"] = 		{ class = "DRUID", level = 1, }, --7
--	["Rip"] = 					{ class = "DRUID", level = 20, }, --x Moved
	["Nurturing Instinct"] = 	{ class = "DRUID", level = 10, },
	["Swipe"] = 				{ class = "DRUID", level = 32, }, --7m
--	["Leader of the Pack"] =	{ class = "DRUID", level = 46, }, --x Moved
--	["Ravage"] = 				{ class = "DRUID", level = 54, }, x
	["Survival Instincts"] = 	{ class = "DRUID", level = 40, },
	["Skull Bash"] = 			{ class = "DRUID", level = 64, },
	["Stampeding Roar"] = 		{ class = "DRUID", level = 83, }, --7m	
	--++ Balance ++
	["Astral Influence"] = 		{ class = "DRUID", level = 10, }, --7n	
	["Solar Wrath"] = 			{ class = "DRUID", level = 10, }, --7n	??
--	["Balance of Power"] = 		{ class = "DRUID", level = 10, }, 7
--	["Starfire"] = 				{ class = "DRUID", level = 10, }, 7
	["Starsurge"] = 			{ class = "DRUID", level = 12, },
	["Lunar Strike"] = 			{ class = "DRUID", level = 12, }, --7n
	["Moonkin Form"] = 			{ class = "DRUID", level = 16, },
	["Solar Beam"] = 			{ class = "DRUID", level = 28, },
--	["Euphoria"] = 				{ class = "DRUID", level = 38, }, x
--	["Owlkin Frenzy"] = 		{ class = "DRUID", level = 48, }, x
	["Starfall"] = 				{ class = "DRUID", level = 76, },
	["Celestial Alignment"] = 	{ class = "DRUID", level = 64, },	
--	["Total Eclipse"] = 		{ class = "DRUID", level = 80, }, 7
--	["Astral Shower"] = 		{ class = "DRUID", level = 80, }, --7
--	["Lunar Shower"] = 			{ class = "DRUID", level = 82, }, x
--	["Wild Mushroom: Detonate"] = { class = "DRUID", level = 84, }, x
--	["Lunar Guidance"] = 		{ class = "DRUID", level = 90, }, --7
	["Starlight"] = 			{ class = "DRUID", level = 78, }, --7n
	--++ Feral ++
	["Feral Overrides Passive"] = { class = "DRUID", level = 1, }, --7n
	["Shred"] = 				{ class = "DRUID", level = 1, },
	["Ferocious Bite"] = 		{ class = "DRUID", level = 6, }, --7m	
	["Rake"] = 					{ class = "DRUID", level = 6, }, 	
	["Feline Swiftness"] = 		{ class = "DRUID", level = 10, }, --7m
	["Tiger's Fury"] = 			{ class = "DRUID", level = 12, },
	["Rip"] = 					{ class = "DRUID", level = 20, }, 
	["Predatory Swiftness"] = 	{ class = "DRUID", level = 28, },
	["Omen of Clarity"] = 		{ class = "DRUID", level = 38, }, --7m ??
	["Infected Wounds"] = 		{ class = "DRUID", level = 40, }, --7m	
	["Berserk"] = 				{ class = "DRUID", level = 48, }, --7m
	["Maim"] = 					{ class = "DRUID", level = 72, }, 
	["Razor Claws"] = 			{ class = "DRUID", level = 78, },
--	["Sharpened Claws"] = 		{ class = "DRUID", level = 90, }, 7
	--++ Guardian ++ 
	["Mangle"] = 				{ class = "DRUID", level = 6, }, --7m
--	["Resolve"] = 				{ class = "DRUID", level = 10, }, 7
	["Maul"] = 					{ class = "DRUID", level = 10, }, --x Moved
--	["Savage Defense"] = 		{ class = "DRUID", level = 10, }, 7
--	["Vengeance"] = 			{ class = "DRUID", level = 10, }, x
	["Thick Hide"] = 			{ class = "DRUID", level = 10, }, 
--	["Bear Hug"] = 				{ class = "DRUID", level = 18, }, x
	["Incapacitating Roar"] = 	{ class = "DRUID", level = 28, }, --7n	
--	["Tooth and Claw"] = 		{ class = "DRUID", level = 32, }, 7	
	["Gore"] = 					{ class = "DRUID", level = 34, }, --7n
--	["Lacerate"] = 				{ class = "DRUID", level = 38, }, 7	
	["Ironfur"] = 				{ class = "DRUID", level = 44, }, --7n	
	["Frenzied Regeneration"] = { class = "DRUID", level = 50, }, --7m
	["Mark of Ursol"] = 		{ class = "DRUID", level = 72, }, --7n	
--	["Enrage"] = 				{ class = "DRUID", level = 76, }, x
	["Nature's Guardian"] = 	{ class = "DRUID", level = 78, }, 
--	["Primal Tenacity"] =	 	{ class = "DRUID", level = 80, }, --x
--	["Ursa Major"] = 			{ class = "DRUID", level = 90, }, --x
	--++ Restoration ++  
--	["Naturalist"] = 			{ class = "DRUID", level = 10, }, 7
	["Regrowth"] = 				{ class = "DRUID", level = 10, },
	["Rejuvenation"] = 			{ class = "DRUID", level = 12, }, --7m
	["Swiftmend"] = 			{ class = "DRUID", level = 12, }, 
--	["Nourish"] = 				{ class = "DRUID", level = 12, }, x
--	["Meditation"] = 			{ class = "DRUID", level = 14, },
--	["Nature's Focus"] = 		{ class = "DRUID", level = 16, },
	["Nature's Cure"] = 		{ class = "DRUID", level = 18, },
	["Living Seed"] = 			{ class = "DRUID", level = 28, },
	["Lifebloom"] = 			{ class = "DRUID", level = 32, },
	["Revitalize"] = 			{ class = "DRUID", level = 44, }, --7n	
	["Ursol's Vortex"] = 		{ class = "DRUID", level = 48, }, --7m	
--	["Swift Rejuvenation"] = 	{ class = "DRUID", level = 46, }, x
	["Ironbark"] = 				{ class = "DRUID", level = 52, },
	["Wild Growth"] = 			{ class = "DRUID", level = 64, },
	["Tranquility"] = 			{ class = "DRUID", level = 72, },
	["Harmony"] = 				{ class = "DRUID", level = 78, },
--	["Malfurion's Gift"] = 		{ class = "DRUID", level = 82, }, 7
	["Efflorescence"] = 		{ class = "DRUID", level = 82, }, --7n	
--	["Wild Mushroom: Bloom"] = 	{ class = "DRUID", level = 84, }, 7
--	["Genesis"] = 				{ class = "DRUID", level = 88, }, 7
--	["Naturalist"] = 			{ class = "DRUID", level = 90, }, --x
	--++ Druid Talents ++
	["Displacer Beast"] = 		{ class = "DRUID", level = 30, }, 
	["Wild Charge"] = 			{ class = "DRUID", level = 15, }, 
	["Mass Entanglement"] = 	{ class = "DRUID", level = 60, }, 
	["Mighty Bash"] = 			{ class = "DRUID", level = 60, }, 
	["Typhoon"] = 				{ class = "DRUID", level = 60, }, 	
	--++ Balance/Restoration ++
	["Guardian Affinity"] = 	{ class = "DRUID", level = 45, }, --7n ??
	--++ Balance/Feral/Guardian ++
	["Renewal"] = 				{ class = "DRUID", level = 30, },
	["Restoration Affinity"] = 	{ class = "DRUID", level = 45, }, --7n
	["Soul of the Forest"] = 	{ class = "DRUID", level = 75, }, --??
	--++ Feral/Guardian ++
	["Balance Affinity"] = 		{ class = "DRUID", level = 45, }, --7n
	["Feral Affinity"] = 		{ class = "DRUID", level = 45, }, --7n	
	["Guardian Affinity"] = 	{ class = "DRUID", level = 45, }, --7n ??
	--++ Feral/Restoration ++	
	["Moment of Clarity"] =	 	{ class = "DRUID", level = 100, }, --x
	--++ Balance ++	
	["Force of Nature"] = 		{ class = "DRUID", level = 15, },
	["Starlord"] = 				{ class = "DRUID", level = 15, }, --7n
	["Warrior of Elune"] = 		{ class = "DRUID", level = 15, }, --7n
	["Incarnation: Chosen of Elune"] = { class = "DRUID", level = 75, }, --7n
	["Stellar Flare"] =		 	{ class = "DRUID", level = 75, }, 
	["Astral Communion"] = 		{ class = "DRUID", level = 90, }, --7m
	["Blessing of the Ancients"] = { class = "DRUID", level = 90, }, --7n
	["Shooting Stars"] = 		{ class = "DRUID", level = 90, }, --7m
	["Fury of Elune"] = 		{ class = "DRUID", level = 100, }, --7n
	["Nature's Balance"] = 		{ class = "DRUID", level = 100, }, --7n
	["Stellar Drift"] = 		{ class = "DRUID", level = 100, }, --7n
	--++ Feral ++
	["Blood Scent"] =			{ class = "DRUID", level = 15, }, --7n	
	["Lunar Inspiration"] =		{ class = "DRUID", level = 15, }, 	
	["Predator"] =				{ class = "DRUID", level = 15, }, --7n
	["Incarnation: King of the Jungle"] = { class = "DRUID", level = 75, }, --7n
	["Savage Roar"] = 			{ class = "DRUID", level = 75, }, --7m	
	["Elune's Guidance"] = 		{ class = "DRUID", level = 90, }, --7n	
	["Jagged Wounds"] = 		{ class = "DRUID", level = 90, }, --7n
	["Sabertooth"] = 			{ class = "DRUID", level = 90, }, 	--7n
	["Bloodtalons"] = 			{ class = "DRUID", level = 100, }, 
	["Brutal Slash"] = 			{ class = "DRUID", level = 100, }, 	--7n
	--++ Guardian ++	
	["Blood Frenzy"] = 			{ class = "DRUID", level = 15, }, --7n	
	["Brambles"] = 				{ class = "DRUID", level = 15, }, --7n	
	["Bristling Fur"] = 		{ class = "DRUID", level = 15, }, 
	["Guttural Roars"] = 		{ class = "DRUID", level = 30, }, --7n	
	["Galactic Guardian"] = 	{ class = "DRUID", level = 75, }, --7n	
	["Incarnation: Guardian of Ursoc"] = { class = "DRUID", level = 75, }, --7n
	["Earthwarden"] = 			{ class = "DRUID", level = 90, }, --7n	
	["Guardian of Elune"] =	 	{ class = "DRUID", level = 90, }, 
	["Survival of the Fittest"] = { class = "DRUID", level = 90, }, --7m
	["Lunar Beam"] = 			{ class = "DRUID", level = 100, }, --7n	
	["Pulverize"] = 			{ class = "DRUID", level = 100, }, 
	["Rend and Tear"] = 		{ class = "DRUID", level = 100, }, --7n		
	--++ Restoration ++
	["Abundance"] = 			{ class = "DRUID", level = 15, }, --7n	
	["Cenarion Ward"] = 		{ class = "DRUID", level = 15, },
	["Prosperity"] = 			{ class = "DRUID", level = 15, }, --7n
	["Cultivation"] = 			{ class = "DRUID", level = 75, }, --7n
	["Incarnation: Tree of Life"] = { class = "DRUID", level = 75, }, --7n
	["Germination"] = 			{ class = "DRUID", level = 90, }, --7n	
	["Inner Peace"] = 			{ class = "DRUID", level = 90, }, --7n
	["Spring Blossoms"] = 		{ class = "DRUID", level = 90, }, --7n
	["Flourish"] = 				{ class = "DRUID", level = 100, }, --7n
	["Stonebark"] = 			{ class = "DRUID", level = 100, }, --7n
--	["Ysera's Gift"] = 			{ class = "DRUID", level = 30, }, 7
--	["Faerie Swarm"] = 			{ class = "DRUID", level = 45, }, 7
--	["Incarnation"] = 			{ class = "DRUID", level = 60, }, 7
--	["Disorienting Roar"] = 	{ class = "DRUID", level = 75, }, 7
--	["Heart of the Wild"] = 	{ class = "DRUID", level = 90, }, 7
--	["Dream of Cenarius"] = 	{ class = "DRUID", level = 90, }, 7
--	["Nature's Vigil"] = 		{ class = "DRUID", level = 90, }, 7
--	["Balance of Power"] = 		{ class = "DRUID", level = 100, }, 7
--	["Euphoria"] = 				{ class = "DRUID", level = 100, }, 7
--	["Claws of Shirvallah"] =	{ class = "DRUID", level = 100, }, 7
--	["Rampant Growth"] =		{ class = "DRUID", level = 100, }, 7

--++ Hunter Abilities ++
	["Fury of the Eagle"] = 	{ class = "HUNTER", level = 1, }, --7n??
--	["Auto Shot"] = 			{ class = "HUNTER", level = 1, },
	["Call Pet 1"] = 			{ class = "HUNTER", level = 1, },
	["Marked Shot"] = 			{ class = "HUNTER", level = 1, }, --7n	
	["Mend Pet"] = 				{ class = "HUNTER", level = 1, },	
	["Revive Pet"] = 			{ class = "HUNTER", level = 1, },
	["Steady Shot"] = 			{ class = "HUNTER", level = 3, },
--	["Tracking"] = 				{ class = "HUNTER", level = 4, },
	["Aspect of the Cheetah"] = { class = "HUNTER", level = 5, },
	["Call Pet 2"] = 			{ class = "HUNTER", level = 10 },
	["Control Pet"] = 			{ class = "HUNTER", level = 10, },	
	["Dismiss Pet"] = 			{ class = "HUNTER", level = 10, },
	["Tame Beast"] = 			{ class = "HUNTER", level = 10, },
	["Feed Pet"] = 				{ class = "HUNTER", level = 11, },
	["Beast Lore"] = 			{ class = "HUNTER", level = 12, },	
--	["Aspect of the Hawk"] = 	{ class = "HUNTER", level = 12, }, x
--	["Scatter Shot"] = 			{ class = "HUNTER", level = 15, }, x
	["Eagle Eye"] = 			{ class = "HUNTER", level = 16, },
	["Feign Death"] = 			{ class = "HUNTER", level = 32, },
	["Wake Up"] = 				{ class = "HUNTER", level = 32, }, --7n	
	["Call Pet 3"] = 			{ class = "HUNTER", level = 42, },	
--	["Kill Shot"] = 			{ class = "HUNTER", level = 35, },
--	["Tranquilizing Shot"] = 	{ class = "HUNTER", level = 35, },
--	["Scare Beast"] = 			{ class = "HUNTER", level = 36, }, x
	["Flare"] = 				{ class = "HUNTER", level = 38, },
--	["Trueshot Aura"] = 		{ class = "HUNTER", level = 39, },
--	["Widow Venom"] = 			{ class = "HUNTER", level = 40, }, x
	["Aspect of the Chameleon"] = { class = "HUNTER", level = 40, }, --7n
	["Fetch"] = 				{ class = "HUNTER", level = 40, }, 
	["Fireworks"] = 			{ class = "HUNTER", level = 40, }, 	
	["Play Dead"] = 			{ class = "HUNTER", level = 40, }, --7n		
--	["Ice Trap"] = 				{ class = "HUNTER", level = 46, },
--	["Trap Launcher"] = 		{ class = "HUNTER", level = 48, },
	["Aspect of the Turtle"] = 	{ class = "HUNTER", level = 50, }, 	--7n	
--	["Distracting Shot"] = 		{ class = "HUNTER", level = 52, }, 7
--	["Rapid Fire"] = 			{ class = "HUNTER", level = 54, }, --x Moved
--	["Aspect of the Pack"] = 	{ class = "HUNTER", level = 56, }, 7
	["Call Pet 4"] = 			{ class = "HUNTER", level = 62, },
--	["Snake Trap"] = 			{ class = "HUNTER", level = 66, }, 7
--	["Master's Call"] = 		{ class = "HUNTER", level = 74, }, 7
--	["Deterrence"] = 			{ class = "HUNTER", level = 78, }, 7
	["Call Pet 5"] = 			{ class = "HUNTER", level = 82, },
--	["Aspect of the Fox"] = 	{ class = "HUNTER", level = 84, }, --x
--++ Hunter Specialization ++
	--++ Beast Mastery/Marksmanship ++
	["Concussive Shot"] = 		{ class = "HUNTER", level = 8, }, --7m	
	["Disengage"] = 			{ class = "HUNTER", level = 14, }, --7m	
	["Counter Shot"] = 			{ class = "HUNTER", level = 24, }, --7m
	["Multi-Shot"] = 			{ class = "HUNTER", level = 28, }, --7m
	["Misdirection"] = 			{ class = "HUNTER", level = 42, }, --7m
	--++ Beast Mastery/Marksmanship/Survival ++
	["Exhilaration"] = 			{ class = "HUNTER", level = 36, }, --7m ??
	--++ Beast Mastery ++
	["Cobra Shot"] = 			{ class = "HUNTER", level = 1, },	
	["Kill Command"] = 			{ class = "HUNTER", level = 3, },
	["Dire Beast"] = 			{ class = "HUNTER", level = 10, }, --7m
	["Exotic Beasts"] = 		{ class = "HUNTER", level = 10, },	
	["Aspect of the Wild"] = 	{ class = "HUNTER", level = 18, }, --7n
--	["Go for the Throat"] = 	{ class = "HUNTER", level = 20, }, x
	["Wild Call"] = 			{ class = "HUNTER", level = 22, }, --7n
	["Beast Cleave"] = 			{ class = "HUNTER", level = 29, },
--	["Frenzy"] = 				{ class = "HUNTER", level = 30, }, x
--	["Focus Fire"] = 			{ class = "HUNTER", level = 32, }, 7
	["Bestial Wrath"] = 		{ class = "HUNTER", level = 40, },
--	["Cobra Strikes"] = 		{ class = "HUNTER", level = 43, }, 7
--	["The Beast Within"] = 		{ class = "HUNTER", level = 50, }, 7
	["Kindred Spirits"] = 		{ class = "HUNTER", level = 58, },
--	["Invigoration"] = 			{ class = "HUNTER", level = 63, }, 7
	["Master of Beasts"] = 		{ class = "HUNTER", level = 78, },
--	["Animal Handler"] = 		{ class = "HUNTER", level = 90, }, 7
	--++ Marksmanship ++ 
	["Aimed Shot"] = 			{ class = "HUNTER", level = 10, },
	["Arcane Shot"] = 			{ class = "HUNTER", level = 10 }, --7m
	["Hunter's Mark"] = 		{ class = "HUNTER", level = 18, }, --7m
	["Marked Shot"] = 			{ class = "HUNTER", level = 18, }, --7n	
	["Bursting Shot"] = 		{ class = "HUNTER", level = 22, }, --7n		
--	["Silencing Shot"] = 		{ class = "HUNTER", level = 30, }, x 
--	["Concussive Barrage"] = 	{ class = "HUNTER", level = 30, }, 7
	["Hunting Party"] = 		{ class = "HUNTER", level = 34, }, --7n
	["Trueshot"] = 				{ class = "HUNTER", level = 39, }, --7n
	["Bombardment"] = 			{ class = "HUNTER", level = 62, },
--	["Rapid Fire"] = 			{ class = "HUNTER", level = 54, }, 7
--	["Rapid Recuperation"] = 	{ class = "HUNTER", level = 54, }, x
--	["Master Marksman"] = 		{ class = "HUNTER", level = 58, }, 7
--	["Chimera Shot"] = 			{ class = "HUNTER", level = 60, }, 7
	["Sniper Training"] = 		{ class = "HUNTER", level = 78, }, 
--	["Wild Quiver"] = 			{ class = "HUNTER", level = 80, }, 7
--	["Lethal Shots"] = 			{ class = "HUNTER", level = 90, }, 7
	--++ Survival ++  
	["Flanking Strike"] = 		{ class = "HUNTER", level = 10, }, --7n
	["Raptor Strike"] = 		{ class = "HUNTER", level = 10, }, --7n	
	["Wing Clip"] = 			{ class = "HUNTER", level = 10, }, --7n	
	["Survivalist"] = 			{ class = "HUNTER", level = 12, }, --7n	
	["Mongoose Bite"] = 		{ class = "HUNTER", level = 18, }, --7n	
	["Hatchet Toss"] = 			{ class = "HUNTER", level = 19, }, --7n	
	["Harpoon"] = 				{ class = "HUNTER", level = 22, }, --7n	
	["Muzzle"] = 				{ class = "HUNTER", level = 24, }, --7n
	["Lacerate"] = 				{ class = "HUNTER", level = 26, }, --7	
	["Freezing Trap"] = 		{ class = "HUNTER", level = 28, }, --7m	
	["Tar Trap"] = 				{ class = "HUNTER", level = 42, }, --7n
	["Aspect of the Eagle"] = 	{ class = "HUNTER", level = 44, }, --7n	
	["Explosive Trap"] = 		{ class = "HUNTER", level = 48, }, --7m	
	["Carve"] = 				{ class = "HUNTER", level = 54, }, --7n	
	["Hunting Companion"] = 	{ class = "HUNTER", level = 90, }, --7n
--	["Entrapment"] = 			{ class = "HUNTER", level = 55, }, 7
--	["Viper Venom"] = 			{ class = "HUNTER", level = 63, }, x
--	["Trap Mastery"] = 			{ class = "HUNTER", level = 64, }, 7
--	["Serpent Spread"] = 		{ class = "HUNTER", level = 68, }, x
--	["Improved Serpent Sting"] = { class = "HUNTER", level = 70, }, x
--	["Essence of the Viper"] = 	{ class = "HUNTER", level = 80, }, 7
--	["Lightning Reflexes"] = 	{ class = "HUNTER", level = 90, }, --x
--++ Hunter Talents ++
--	["Dash"] = 					{ class = "	HUNTER", level = 45, }, --7n Conflict
	["Farstrider"] = 			{ class = "	HUNTER", level = 45, }, --7n 
	["Posthaste"] = 			{ class = "HUNTER", level = 45, },
	--++ Beast Mastery/Marksmanship/Survival ++
	["A Murder of Crows"] = 	{ class = "HUNTER", level = 90, }, --??
	--++ Beast Mastery/Marksmanship ++
	["Binding Shot"] = 			{ class = "HUNTER", level = 75, }, 
	["Wyvern Sting"] = 			{ class = "HUNTER", level = 75, },	
	["Barrage"] = 				{ class = "HUNTER", level = 90, },
	["Volley"] = 				{ class = "HUNTER", level = 90, },	--7n
	--++ Beast Mastery/Survival ++
	["Aspect of the Beast"] = 	{ class = "HUNTER", level = 100, }, --7m
	--++ Marksmanship/Survival ++
	["Camouflage"] = 			{ class = "HUNTER", level = 85, }, --7m	
	--++ Beast Mastery ++	
	["Big Game Hunter"] = 		{ class = "HUNTER", level = 15, }, --7n		
	["Dire Stable"] = 			{ class = "HUNTER", level = 15, }, --7n	
	["Way of the Cobra"] = 		{ class = "HUNTER", level = 15, }, --7n		
	["Chimaera Shot"] = 		{ class = "HUNTER", level = 30, }, --7m
	["Dire Frenzy"] = 			{ class = "HUNTER", level = 30, }, --7n	
	["Stomp"] = 				{ class = "HUNTER", level = 30, }, --7n	
	["Bestial Fury"] = 			{ class = "HUNTER", level = 60, }, --7n	
	["Blink Strikes"] = 		{ class = "HUNTER", level = 60, },
	["One with the Pack"] = 	{ class = "HUNTER", level = 60, }, --7n		
	["Intimidation"] = 			{ class = "HUNTER", level = 75, },	
	["Killer Corba"] = 			{ class = "HUNTER", level = 100, }, --7n		
	["Stampede"] = 				{ class = "HUNTER", level = 100, }, --7m	
	--++ Marksmanship ++
	["Careful Aim"] = 			{ class = "HUNTER", level = 15, }, --7m	
	["Lone Wolf"] =		 		{ class = "HUNTER", level = 15, }, 	
	["Steady Focus"] = 			{ class = "HUNTER", level = 15, }, --7m
	["Black Arrow"] = 			{ class = "HUNTER", level = 30, }, --7m
	["Lock and Load"] = 		{ class = "HUNTER", level = 30, }, --7m
	["True Aim"] = 				{ class = "HUNTER", level = 30, }, --7n
	["Explosive Shot"] = 		{ class = "HUNTER", level = 60, }, --7m
	["Patient Sniper"] =		{ class = "HUNTER", level = 60, }, --7n
	["Sentinal"] = 				{ class = "HUNTER", level = 60, }, --7n	
	["Piercing Shot"] = 		{ class = "HUNTER", level = 100, }, --7m
	["Sidewinders"] = 			{ class = "HUNTER", level = 100, }, --7n
	["Trick Shot"] = 			{ class = "HUNTER", level = 100, }, --7n	
	--++ Survival ++
	["Animal Instincts"] = 		{ class = "HUNTER", level = 15, }, --7n	
	["Throwing Axes"] = 		{ class = "HUNTER", level = 15, }, --7n	
	["Way of the Mok'Nathal"] = { class = "HUNTER", level = 15, }, --7n	
	["A Murder of Crows"] = 	{ class = "HUNTER", level = 30, }, --7n
	["Mortal Wounds"] = 		{ class = "HUNTER", level = 30, }, --7n	
	["Snake Hunter"] = 			{ class = "HUNTER", level = 30, }, --7n	
	["Caltrops"] = 				{ class = "HUNTER", level = 60, }, --7n	
	["Improved Traps"] = 		{ class = "HUNTER", level = 60, }, --7n	
	["Steel Trap"] = 			{ class = "HUNTER", level = 60, }, --7n	
	["Camouflage"] = 			{ class = "HUNTER", level = 75, }, --7n	
	["Ranger's Net"] = 			{ class = "HUNTER", level = 75, }, --7n	
	["Sticky Bomb"] = 			{ class = "HUNTER", level = 75, }, --7n	
	["Butchery"] = 				{ class = "HUNTER", level = 90, }, --7n		
	["Dragonsfire Grenade"] = 	{ class = "HUNTER", level = 90, }, --7n	
	["Serpent Sting"] = 		{ class = "HUNTER", level = 90, }, --7m	
	["Expert Trapper"] = 		{ class = "HUNTER", level = 100, }, --7n		
	["Spitting Cobra"] = 		{ class = "HUNTER", level = 100, }, --7n	
--	["Narrow Escape"] = 		{ class = "HUNTER", level = 15, },
--	["Crouching Tiger, Hidden Chimera"] = { class = "HUNTER", level = 15, }, 
--	["Aspect of the Iron Hawk"] = { class = "HUNTER", level = 45, },
--	["Spirit Bond"] = 			{ class = "HUNTER", level = 45, }, 
--	["Fervor"] = 				{ class = "HUNTER", level = 60, },
--	["Thrill of the Hunt"] = 	{ class = "HUNTER", level = 60, }, 
--	["Lynx Rush"] = 			{ class = "HUNTER", level = 75, }, 
--	["Glaive Toss"] = 			{ class = "HUNTER", level = 90, },
--	["Powershot"] = 			{ class = "HUNTER", level = 90, },
--	["Exotic Munitions"] = 		{ class = "HUNTER", level = 100, }, --x
--	["Focusing Shot"] = 		{ class = "HUNTER", level = 100, }, --x
--	["Adaptation"] = 			{ class = "HUNTER", level = 100, }, --x

--++ Mage Abilities ++
	["Illusion"] = 				{ class = "MAGE", level = 1, }, --7n??
	["Mark of Aluneth"] = 		{ class = "MAGE", level = 1, }, --7n??
--	["Frostfire Bolt"] = 		{ class = "MAGE", level = 1, }, 7
	["Frost Nova"] = 			{ class = "MAGE", level = 3, },
	["Blink"] = 				{ class = "MAGE", level = 7, },
	["Ice Barrier"] = 			{ class = "MAGE", level = 16, }, --7m	
	["Polymorph"] = 			{ class = "MAGE", level = 18, },
--	["Arcane Explosion"] = 		{ class = "MAGE", level = 18, }, --x Moved
	["Conjure Refreshment"] = 	{ class = "MAGE", level = 22, },
	["Ice Block"] = 			{ class = "MAGE", level = 26, },
--	["Remove Curse"] = 			{ class = "MAGE", level = 29, }, 7
	["Slow Fall"] = 			{ class = "MAGE", level = 32, },
	["Water Jet"] = 			{ class = "MAGE", level = 32, }, --7n	
	["Counterspell"] = 			{ class = "MAGE", level = 34, },	
--	["Evocation"] = 			{ class = "MAGE", level = 40, }, --x Moved
--	["Conjure Mana Gem"] = 		{ class = "MAGE", level = 47, }, 7
--	["Mirror Image"] = 			{ class = "MAGE", level = 49, }, --x Moved
--	["Wizardry"] = 				{ class = "MAGE", level = 50, }, 7
--	["Frost Bolt"] = 			{ class = "MAGE", level = 54, }, 7
--	["Arcane Brilliance"] = 	{ class = "MAGE", level = 58, }, 7
	["Arcane Linguist"] = 		{ class = "MAGE", level = 58, }, --7n	
	["Time Warp"] = 			{ class = "MAGE", level = 65, },	
--	["Deep Freeze"] = 			{ class = "MAGE", level = 66, }, --x Moved
--	["Improved Counterspell"] =	{ class = "MAGE", level = 70, }, 7
	["Spellsteal"] = 			{ class = "MAGE", level = 72, },
--	["Conjure Refreshment Table"] =	{ class = "MAGE", level = 72, }, 7	
--	["Nether Attunement"] = 	{ class = "MAGE", level = 74, }, 7
--	["Mage Bomb"] = 			{ class = "MAGE", level = 75, }, 7
--	["Dalaran Brilliance"] = 	{ class = "MAGE", level = 80, }, 7
--	["Mage Armor"] = 			{ class = "MAGE", level = 80, }, --x Moved
--	["Burning Soul"] = 			{ class = "MAGE", level = 82, }, 7
--	["Alter Time"] = 			{ class = "MAGE", level = 87, }, --x Moved
--	["Amplify Magic"] = 		{ class = "MAGE", level = 87, }, 7
	["Polymorph: Pig"] = 		{ class = "MAGE", level = 60, },
	["Polymorph: Rabbit"] = 	{ class = "MAGE", level = 60, },
	["Polymorph: Turtle"] = 	{ class = "MAGE", level = 60, },
	["Polymorph: Black Cat"] = 	{ class = "MAGE", level = 60, }, 
	["Polymorph: Turkey"] = 	{ class = "MAGE", level = 60, },
	["Polymorph: Polar Bear Cub"] = { class = "MAGE", level = 60, }, --x
	["Polymorph: Monkey"] = 	{ class = "MAGE", level = 60, }, --x
	["Polymorph: Penguin"] = 	{ class = "MAGE", level = 60, }, --x
	["Portal: Darnassus"] = 	{ class = "MAGE", level = 42, },
	["Portal: Exodar"] = 		{ class = "MAGE", level = 42, },
	["Portal: Ironforge"] = 	{ class = "MAGE", level = 42, },
	["Portal: Orgrimmar"] = 	{ class = "MAGE", level = 42, },
	["Portal: Silvermoon"] = 	{ class = "MAGE", level = 42, },
	["Portal: Stormwind"] = 	{ class = "MAGE", level = 42, },
	["Portal: Theramore"] = 	{ class = "MAGE", level = 42, },
	["Portal: Thunder Bluff"] =	{ class = "MAGE", level = 42, },
	["Portal: Undercity"] = 	{ class = "MAGE", level = 42, },	
	["Portal: Stonard"] = 		{ class = "MAGE", level = 52, },	
	["Portal: Shattrath"] = 	{ class = "MAGE", level = 66, },	
	["Ancient Portal: Dalaran"] = { class = "MAGE", level = 74, }, 
--	["Portal: Dalaran"] = 		{ class = "MAGE", level = 74, }, 7	
	["Portal: Dalaran - Broken Isles"] = { class = "MAGE", level = 74, }, --7n	
	["Portal: Dalaran - Northrend"] = { class = "MAGE", level = 74, }, --7n	
	["Portal: Tol Barad"] = 	{ class = "MAGE", level = 85, },
	["Portal: Vale of Eternal Blossoms"] = { class = "MAGE", level = 90, },
	["Portal: Stormshield"] = 	{ class = "MAGE", level = 92, }, --7n	
	["Portal: Warspear"] = 	{ class = "MAGE", level = 92, }, --7n	
	["Teleport: Hall of the Guardian"] = { class = "MAGE", level = 14, }, --7n
	["Teleport: Darnassus"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Exodar"] = 		{ class = "MAGE", level = 17, },
	["Teleport: Ironforge"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Orgrimmar"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Silvermoon"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Stormwind"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Theramore"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Thunder Bluff"] = { class = "MAGE", level = 17, },
	["Teleport: Undercity"] = 	{ class = "MAGE", level = 17, },
	["Teleport: Stonard"] = 	{ class = "MAGE", level = 52, },	
	["Teleport: Shattrath"] = 	{ class = "MAGE", level = 62, },
	["Ancient Teleport: Dalaran"] = { class = "MAGE", level = 71, }, 
--	["Teleport: Dalaran"] = 	{ class = "MAGE", level = 71, }, 7
	["Teleport: Dalaran - Broken Isles"] = 	{ class = "MAGE", level = 71, }, --7n
	["Teleport: Dalaran - Northrend"] = 	{ class = "MAGE", level = 71, }, --7n	
	["Teleport: Tol Barad"] = 	{ class = "MAGE", level = 85, },
	["Teleport: Vale of Eternal Blossoms"] = { class = "MAGE", level = 90, }, 
	["Teleport: Stormshield"] = { class = "MAGE", level = 92, }, --7n	
	["Teleport: Warspear"] = 	{ class = "MAGE", level = 92, }, --7n	
	--++ Glyph Abilities ++
--	["Conjure Familiar"] = 		{ class = "MAGE", level = 25, }, 7
--++ Mage Specialization ++
	--++ Fire/Frost ++ 
	["Invisibility"] = 			{ class = "MAGE", level = 50, }, --7m
	--++ Arcane ++
	["Arcane Blast"] = 			{ class = "MAGE", level = 10, }, 
	["Arcane Barrage"] = 		{ class = "MAGE", level = 10, },	
	["Arcane Charge"] = 		{ class = "MAGE", level = 10, }, --7??
	["Arcane Missiles"] = 		{ class = "MAGE", level = 14, },
--	["Presence of Mind"] = 		{ class = "MAGE", level = 15, }, 7
	["Displacement"] = 			{ class = "MAGE", level = 24, }, --7n
	["Arcane Explosion"] = 		{ class = "MAGE", level = 28, }, --x Moved
	["Slow"] = 					{ class = "MAGE", level = 36, },
	["Evocation"] = 			{ class = "MAGE", level = 40, }, --x Moved
	["Arcane Power"] = 			{ class = "MAGE", level = 44, },
	["Greater Invisibility"] = 	{ class = "MAGE", level = 50, }, --7m	
	["Mage Armor"] = 			{ class = "MAGE", level = 56, }, --x Moved
	["Savant"] =			 	{ class = "MAGE", level = 78, }, --7n	
--	["Mana Adept"] = 			{ class = "MAGE", level = 80, }, 7
--	["Arcane Mind"] = 			{ class = "MAGE", level = 90, }, 7
	--++ Fire ++ 
	["Fireball"] = 				{ class = "MAGE", level = 10, },
	["Pyroblast"] = 			{ class = "MAGE", level = 10, },
	["Fire Blast"] = 			{ class = "MAGE", level = 11, }, --7m
	["Hot Streak"] = 			{ class = "MAGE", level = 12, }, --7n
	["Enhanced Pyrotechnics"] = { class = "MAGE", level = 14, }, --7n	
	["Dragon's Breath"] = 		{ class = "MAGE", level = 24, }, 
--	["Inferno Blast"] = 		{ class = "MAGE", level = 24, },
	["Combustion"] = 			{ class = "MAGE", level = 28, },
	["Molten Armor"] = 			{ class = "MAGE", level = 36, },
	["Scorch"] = 				{ class = "MAGE", level = 40, }, 	
	["Flamestrike"] = 			{ class = "MAGE", level = 44, }, --x Moved	
 	["Critical Mass"] = 		{ class = "MAGE", level = 56, },
	["Ignite"] = 				{ class = "MAGE", level = 80, },
--	["Incineration"] = 			{ class = "MAGE", level = 90, }, 7
	--++ Frost ++ 
	["Frostbolt"] = 			{ class = "MAGE", level = 1, },
	["Ice Lance"] = 			{ class = "MAGE", level = 5, }, --x Moved
	["Summon Water Elemental"] = { class = "MAGE", level = 10, },
	["Shatter"] = 				{ class = "MAGE", level = 12, }, --x Moved
--	["Flurry"] = 				{ class = "MAGE", level = 12, }, 7n Conflict
	["Fingers of Frost"] = 		{ class = "MAGE", level = 24, },
	["Brain Freeze"] = 			{ class = "MAGE", level = 28, },
	["Cone of Cold"] = 			{ class = "MAGE", level = 28, }, --7m	
	["Icy Veins"] = 			{ class = "MAGE", level = 40, },
	["Blizzard"] = 				{ class = "MAGE", level = 44, }, --x Moved
	["Frost Armor"] = 			{ class = "MAGE", level = 56, }, --x Moved
	["Icicles"] = 				{ class = "MAGE", level = 78, },	
	["Frozen Orb"] = 			{ class = "MAGE", level = 83, },
--	["Deep Freeze"] = 			{ class = "MAGE", level = 66, }, 7
--	["Ice Shards"] = 			{ class = "MAGE", level = 90, }, 7
--++ Mage Talents ++
	["Cauterize"] = 			{ class = "MAGE", level = 30, }, 
	["Cold Snap"] = 			{ class = "MAGE", level = 30, }, 
	["Shimmer"] = 				{ class = "MAGE", level = 30, }, --7n
	["Incanter's Flow"] = 		{ class = "MAGE", level = 45, }, --7n 
	["Mirror Image"] = 			{ class = "MAGE", level = 45, }, 
	["Rune of Power"] = 		{ class = "MAGE", level = 45, }, 
	["Ice Floes"] = 			{ class = "MAGE", level = 75, }, 	
	["Ice Ward"] = 				{ class = "MAGE", level = 75, }, 	
	["Ring of Frost"] = 		{ class = "MAGE", level = 75, }, 
	["Unstable Magic"] = 		{ class = "MAGE", level = 90, }, 	
	--++ Arcane ++
	["Arcane Familiar"] = 		{ class = "MAGE", level = 15, }, --7n
	["Presence of Mind"] = 		{ class = "MAGE", level = 15, }, --x Moved
	["Words of Power"] = 		{ class = "MAGE", level = 15, }, --7n
	["Charged Up"] = 			{ class = "MAGE", level = 60, }, --7n	
	["Resonance"] = 			{ class = "MAGE", level = 60, }, --7n	
	["Supernova"] = 			{ class = "MAGE", level = 60, }, --x
	["Erosion"] = 				{ class = "MAGE", level = 90, }, --7n	
	["Nether Tempest"] = 		{ class = "MAGE", level = 90, }, --7n	
	["Arcane Orb"] = 			{ class = "MAGE", level = 100, }, --x
	["Overpowered"] = 			{ class = "MAGE", level = 100, }, --x
	["Quickening"] = 			{ class = "MAGE", level = 100, }, --7n	
	--++ Fire ++ 
	["Conflagration"] =			{ class = "MAGE", level = 15, }, --7n
	["Firestarter"] =			{ class = "MAGE", level = 15, }, --7n	
	["Pyromaniac"] = 			{ class = "MAGE", level = 15, }, --7m
	["Blast Wave"] = 			{ class = "MAGE", level = 60, }, --x
	["Controlled Burn"] =		{ class = "MAGE", level = 60, }, --7n
	["Flame On"] =				{ class = "MAGE", level = 60, }, --7n	
	["Flame Patch"] =			{ class = "MAGE", level = 90, }, --7n	
	["Living Bomb"] = 			{ class = "MAGE", level = 90, },
	["Cinderstorm"] =			{ class = "MAGE", level = 100, }, --7n
	["Kindling"] = 				{ class = "MAGE", level = 100, }, --x
	["Meteor"] = 				{ class = "MAGE", level = 100, }, --x
	--++ Frost ++ 
	["Bone Chilling"] =			{ class = "MAGE", level = 15, }, --7n
	["Lonely Winter"] =			{ class = "MAGE", level = 15, }, --7n	
	["Ray of Frost"] =			{ class = "MAGE", level = 15, }, --7n
	["Frozen Touch"] =			{ class = "MAGE", level = 60, }, --7n	
	["Ice Nova"] =	 			{ class = "MAGE", level = 60, }, --x
	["Arctic Gale"] =			{ class = "MAGE", level = 90, }, --7n 	
	["Frost Bomb"] = 			{ class = "MAGE", level = 90, },
	["Comet Storm"] = 			{ class = "MAGE", level = 100, }, --x
	["Glacial Spike"] =			{ class = "MAGE", level = 100, }, --7n	
	["Thermal Void"] = 			{ class = "MAGE", level = 100, }, --x
--	["Blazing Speed"] = 		{ class = "MAGE", level = 15, }, 7 
--	["Evanesce"] = 				{ class = "MAGE", level = 15, }, 7
--	["Alter Time"] = 			{ class = "MAGE", level = 30, }, 7	
--	["Flameglow"] = 			{ class = "MAGE", level = 30, }, 7
--	["Temporal Shield"] = 		{ class = "MAGE", level = 30, }, 7
--	["Frostjaw"] = 				{ class = "MAGE", level = 45, }, 7
--	["Nether Tempest"] = 		{ class = "MAGE", level = 75, }, 7
--	["Invocation"] = 			{ class = "MAGE", level = 90, }, 7
--	["Incanter's Ward"] = 		{ class = "MAGE", level = 90, }, 7 
--	["Prismatic Crystal"] = 	{ class = "MAGE", level = 100, }, 7

--++ Monk Abilities ++
	["Strike of the Windlord"] = { class = "MONK", level = 1, }, --7n??
--	["Parry"]   = 				{ class = "MONK", level = 1, },	Conflict
--	["Jab"]   = 				{ class = "MONK", level = 1, }, 7
--	["Stance of the Fierce Tiger"] = { class = "MONK", level = 1, }, 7
	["Tiger Palm"]   = 			{ class = "MONK", level = 1, },	
--	["Way of the Monk"]   = 	{ class = "MONK", level = 1, }, 7 
	["Zen Flight"] =   			{ class = "MONK", level = 1, },
	["Blackout Kick"]   = 		{ class = "MONK", level = 3, },
	["Roll"]   = 				{ class = "MONK", level = 5, }, 
--	["Surging Mist"]   = 		{ class = "MONK", level = 10, }, 7 
--	["Tiger Strikes"]   = 		{ class = "MONK", level = 10, }, 7	
 	["Provoke"]   = 			{ class = "MONK", level = 13, },  
 	["Resuscitate"]   = 		{ class = "MONK", level = 14, },
	["Zen Pilgrimage"]   = 		{ class = "MONK", level = 20, },  
--	["Legacy of the Emperor"] = { class = "MONK", level = 22, }, --x Moved
--	["Swift Reflexes"]   = 		{ class = "MONK", level = 23, }, 7
--	["Nimble Brew"]   = 		{ class = "MONK", level = 30, }, 7
	["Zen Pilgrimage: Return"] = { class = "MONK", level = 30, },
	["Crackling Jade Lightning"]  = { class = "MONK", level = 36, },  
	["Paralysis"]   = 			{ class = "MONK", level = 48, },  
--	["Healing Sphere"]   = 		{ class = "MONK", level = 64, }, 7 
--	["Grapple Weapon"]   = 		{ class = "MONK", level = 68, }, 7
--	["Zen Meditation"]   = 		{ class = "MONK", level = 82, }, --x Moved 
	["Transcendence"]   = 		{ class = "MONK", level = 87, },  
	["Transcendence: Transfer"] = { class = "MONK", level = 87, },
	--++ Glyph Abilities ++
--	["Leer of the Ox"] = 		{ class = "MONK", level = 25, },
--++ Monk Specialization ++
	--++ Brewmaster/Mistweaver/Windwalker ++
	["Effuse"]   = 				{ class = "MONK", level = 8, },	--7n
	["Detox"]   = 				{ class = "MONK", level = 22, }, --7m
	--++ Brewmaster/Windwalker ++
--	["Critical Strikes"] =		{ class = "MONK", level = 1, }, --x Conflict
	["Spear Hand Strike"]   = 	{ class = "MONK", level = 32, }, --7m		
	--++ Mistweaver/Windwalker ++	
	["Rising Sun Kick"] = 		{ class = "MONK", level =  18, }, --7m	
	["Spinning Crane Kick"]   = { class = "MONK", level = 46, },  --7m	
	--++ Brewmaster ++ 
	["Blackout Strike"]   = 	{ class = "MONK", level = 3, },	 --7n
--	["Stance of the Sturdy Ox"] = { class = "MONK", level = 10, }, 7 
--	["Dizzying Haze"]   = 		{ class = "MONK", level = 10, }, 7
--	["Resolve"]   = 			{ class = "MONK", level = 10, }, --x Conflict
-- 	["Vengeance"]   = 			{ class = "MONK", level = 10, }, 7
	["Keg Smash"]   = 			{ class = "MONK", level = 10, }, 
	["Stagger"]   = 			{ class = "MONK", level = 10, }, --7n	
--	["Clash"]   = 				{ class = "MONK", level = 18, },  
	["Breath of Fire"]   = 		{ class = "MONK", level = 18, },
	["Fortifying Brew"]   = 	{ class = "MONK", level = 24, }, --7m 
	["Expel Harm"]   = 			{ class = "MONK", level = 26, }, --7m 	
--	["Guard"]   = 				{ class = "MONK", level = 26, }, 
 	["Ironskin Brew"]   = 		{ class = "MONK", level = 28, }, --7n
--	["Brewmaster Training"] =	{ class = "MONK", level = 34, }, 7
--	["Elusive Brew"]   = 		{ class = "MONK", level = 36, }, 7
--	["Brewing: Elusive Brew"] =	{ class = "MONK", level = 36, }, 7
--	["Desperate Measures"]   = 	{ class = "MONK", level = 45, }, 7
--	["Avert Harm"]   = 			{ class = "MONK", level = 48, }, 7 
	["Gift of the Ox"]   = 		{ class = "MONK", level = 40, }, 
	["Celestial Fortune"]   = 	{ class = "MONK", level = 45, }, --7n
	["Purifying Brew"]   = 		{ class = "MONK", level = 54, }, 
	["Zen Meditation"]   = 		{ class = "MONK", level = 65, }, 	
	["Elusive Brawler"]   = 	{ class = "MONK", level = 78, },
--	["Ferment"]   = 			{ class = "MONK", level = 90, }, 7
	--++ Mistweaver ++ 	
	["Enveloping Mist"]   = 	{ class = "MONK", level = 10, },
	["Soothing Mist"]   = 		{ class = "MONK", level = 10, }, 
	["Teachings of the Monastery"] = { class = "MONK", level = 10, }, 	
--	["Stance of the Spirited Crane"] = { class = "MONK", level = 10, },--x
--	["Stance of the Wise Serpent"] = { class = "MONK", level = 10, }, 7 
--	["Mana Meditation"]   = 	{ class = "MONK", level = 10, }, 7
--	["Internal Medicine"]   = 	{ class = "MONK", level = 20, }, 7
--	["Legacy of the Emperor"] = { class = "MONK", level = 22, }, --x Moved
--	["Muscle Memory"]   = 		{ class = "MONK", level = 20, }, 7
--	["Surging Mist"]   = 		{ class = "MONK", level = 32, }, --x Moved 
	["Renewing Mist"]   = 		{ class = "MONK", level = 24, }, 
	["Life Cocoon"]   = 		{ class = "MONK", level = 28, }, 
	["Vivify"]   = 				{ class = "MONK", level = 32, }, --7n 	
	["Reawaken"]   = 			{ class = "MONK", level = 44, }, --7n 	
--	["Demateralize"]   = 		{ class = "MONK", level = 45, }, 7 
--	["Focus and Harmony"] = 	{ class = "MONK", level = 45, }, --x
 	["Thunder Focus Tea"]   = 	{ class = "MONK", level = 54, }, 
--	["Brewing: Mana Tea"]   = 	{ class = "MONK", level = 56, }, 7
	["Eddence Font"]   = 		{ class = "MONK", level = 58, }, --7n 	
--	["Uplift"]   = 				{ class = "MONK", level = 62, }, 7
--	["Detonate Chi"]   = 		{ class = "MONK", level = 64, }, --x
	["Revival"]   = 			{ class = "MONK", level = 65, }, 
	["Gust of Mist"]   = 		{ class = "MONK", level = 78, }, --7n 	
--	["Gift of the Serpent"] = 	{ class = "MONK", level = 80, }, 7
--	["Jade Mist"]   = 			{ class = "MONK", level = 90, }, --x
	--++ Windwalker ++ 
	["Stance of the Fierce Tiger"] = { class = "MONK", level = 1, }, --7n
	["Combo Breaker"] = 		{ class = "MONK", level =  10, },
	["Flying Serpent Kick"] = 	{ class = "MONK", level =  10, },	
	["Cyclone Strikes"] = 		{ class = "MONK", level =  12, }, --7n	
	["Windwalking"] = 			{ class = "MONK", level =  12, }, --7n	 
	["Combat Conditioning"] = 	{ class = "MONK", level =  20, }, 
	["Touch of Karma"] = 		{ class = "MONK", level =  24, }, 
	["Touch of Death"]   = 		{ class = "MONK", level = 24, }, --7m
	["Disable"]   = 			{ class = "MONK", level = 25, }, --x Moved	
	["Afterlife"] = 			{ class = "MONK", level =  26, }, 
	["Fists of Fury"] = 		{ class = "MONK", level =  28, }, 
--	["Energizing Brew"] = 		{ class = "MONK", level =  36, }, 
--	["Sparring"] = 				{ class = "MONK", level =  42, }, 
--	["Adaptation"] = 			{ class = "MONK", level =  45, }, 
--	["Spinning Fire Blossom"] =	{ class = "MONK", level =  48, }, 
--	["Tigereye Brew"] = 		{ class = "MONK", level =  56, }, 	
--	["Brewing: Tigereye Brew"] = { class = "MONK", level =  56, }, 
	["Storm, Earth and Fire"] = { class = "MONK", level =  65, },
	["Combo Strikes"] = 		{ class = "MONK", level =  78, }, --7n	
--	["Bottled Fury"] = 			{ class = "MONK", level = 80, },
--	["Windflurry"] = 			{ class = "MONK", level = 80, }, --x
--	["Legacy of the White Tiger"] = { class = "MONK", level =  81, },
--	["Battle Trance"]   = 		{ class = "MONK", level = 90, }, --x
--++ Monk Talents ++
	["Chi Burst"]  = 			{ class = "MONK", level = 15, },
	["Celerity"]  = 			{ class = "MONK", level = 30, },  
	["Chi Torpedo"] = 			{ class = "MONK", level = 30, },  
	["Tiger's Lust"] =  		{ class = "MONK", level = 30, }, 
	["Leg Sweep"]  = 			{ class = "MONK", level = 60, }, 
	["Ring of Peace"]  = 		{ class = "MONK", level = 60, }, 
	["Dampen Harm"]  = 			{ class = "MONK", level = 75, },  
	["Diffuse Magic"]  = 		{ class = "MONK", level = 75, }, 
	--++ Brewmaster/Windwalker ++
	["Chi Wave"]  = 			{ class = "MONK", level = 15, }, 
	["Eye of the Tiger"]  = 	{ class = "MONK", level = 15, }, --7n	
	["Rushing Jade Wind"]  = 	{ class = "MONK", level = 90, }, 	
	--++ Brewmaster ++	
	["Black Ox Brew"]  = 		{ class = "MONK", level = 45, }, --7n
	["Gift of the Mists"]  = 	{ class = "MONK", level = 45, }, --7n
	["Light Brewing"]  = 		{ class = "MONK", level = 45, }, --7n
	["Summon Black Ox Statue"] = { class = "MONK", level = 60, }, --7m 	
	["Invoke Niuzao, the Black Ox"] = { class = "MONK", level = 90, }, --7n
	["Special Delivery"]  = 	{ class = "MONK", level = 90, }, --7n
	["Blackout Combo"]  = 		{ class = "MONK", level = 100, }, --7n
	["Elusive Dance"]  = 		{ class = "MONK", level = 100, }, --7n
	["High Tolerance"]  = 		{ class = "MONK", level = 100, }, --7n
	--++ Mistweaver ++ 
 	["Mistwalk"] = 				{ class = "MONK", level = 15, }, --7n 
	["Zen Pulse"] = 			{ class = "MONK", level = 15, }, --7n
	["Lifecycles"] = 			{ class = "MONK", level = 45, }, --7n
	["Mist Wrap"] = 			{ class = "MONK", level = 45, }, --7n
	["Spirit of the Crane"] = 	{ class = "MONK", level = 45, }, --7n	
	["Song of Chi-Ji"] = 		{ class = "MONK", level = 60, }, --7n
	["Invoke Chi-Ji, the Red Crane"] = { class = "MONK", level = 90, }, --7n
	["Refreshing Jade Wind"] = 	{ class = "MONK", level = 90, }, --7n
	["Summon Jade Serpent Statue"] = { class = "MONK", level = 90, }, --7m
	["Focused Thunder"] = 		{ class = "MONK", level = 100, }, --7n	
	["Mana Tea"]   = 			{ class = "MONK", level = 100, }, --7m 	
	["Rising Thunder"] = 		{ class = "MONK", level = 100, }, --7n
	--++ Windwalker ++ 	
	["Ascension"]  = 			{ class = "MONK", level = 45, }, 	
	["Energizing Elixir"] = 	{ class = "MONK", level =  45, }, --7n
	["Power Strikes"]  = 		{ class = "MONK", level = 45, },
	["Dizzying Kicks"]  = 		{ class = "MONK", level = 60, }, --7n
	["Hit Combo"]  =	 		{ class = "MONK", level = 90, }, --7n
	["Invoke Xuen, the White Tiger"] = { class = "MONK", level = 90, },
	["Chi Orbit"]  = 			{ class = "MONK", level = 100, }, --7n	
	["Serenity"] = 				{ class = "MONK", level = 100, }, --x
	["Whirling Dragon Punch"] = { class = "MONK", level = 100, }, --7n	
--	["Momentum"]  = 			{ class = "MONK", level = 15, }, 7
--	["Zen Sphere"]  = 			{ class = "MONK", level = 30, }, 7 
--	["Chi Brew"]  = 			{ class = "MONK", level = 45, }, 7
--	["Charging Ox Wave"]  = 	{ class = "MONK", level = 60, }, 7 
--	["Healing Elixirs"]  = 		{ class = "MONK", level = 75, }, 7 
--	["Chi Explosion"] = 		{ class = "MONK", level = 100, }, --x
--	["Soul Dance"] = 			{ class = "MONK", level = 100, }, --x
--	["Breath of the Serpent"] = { class = "MONK", level = 100, }, --x
--	["Pool of Mist"] = 			{ class = "MONK", level = 100, }, --x
--	["Hurricane Strike"] = 		{ class = "MONK", level = 100, }, --x

--++ Paladin Abilities ++
	["Tyr's Deliverance"] = 	{ class = "PALADIN", level = 1, }, --7n??
	["Block"] =			 		{ class = "PALADIN", level = 1, }, --7??
	["Boundless Conviction"] = 	{ class = "PALADIN", level = 1, },	
	["Crusader Strike"] = 		{ class = "PALADIN", level = 1, },
--	["Parry"]=					{ class = "PALADIN", level = 1, }, 7 Conflict	
	["Judgment"] = 				{ class = "PALADIN", level = 3, },	
--	["Seal of Command"] = 		{ class = "PALADIN", level = 3, }, 7
--	["Harsh Word"] = 			{ class = "PALADIN", level = 9, }, 7
--	["Word of Glory"] = 		{ class = "PALADIN", level = 9, }, 7
	["Hand of Reckoning"] = 	{ class = "PALADIN", level = 13, }, --7n
	["Redemption"] = 			{ class = "PALADIN", level = 14, },
--	["Reckoning"] = 			{ class = "PALADIN", level = 15, }, 7
	["Divine Shield"] = 		{ class = "PALADIN", level = 18, },
	["Summon Exarch's Elekk"] = { class = "PALADIN", level = 20, },	--7n
	["Summon Sunwalker Kodo"] = { class = "PALADIN", level = 20, },	--7n
	["Summon Thalassian Warhorse"] = { class = "PALADIN", level = 20, }, --7n
	["Summon Warhorse"] = 		{ class = "PALADIN", level = 20, },	--7n	
	["Lay on Hands"] = 			{ class = "PALADIN", level = 22, },
--	["Seal of Truth"] = 		{ class = "PALADIN", level = 24, }, --x Moved
--	["Blessing of Kings"] = 	{ class = "PALADIN", level = 30, }, 7
--	["Seal of Insight"] = 		{ class = "PALADIN", level = 32, }, 7
--	["Supplication"] = 			{ class = "PALADIN", level = 34, }, --x Moved
--	["Hammer of Wrath"] = 		{ class = "PALADIN", level = 38, }, 7
	["Contemplation"] = 		{ class = "PALADIN", level = 40, },
	["Heart of the Crusader"] = { class = "PALADIN", level = 40, },	
	["Summon Charger"] = 		{ class = "PALADIN", level = 40, },	--7n
	["Summon Great Exarch's Elekk"] = { class = "PALADIN", level = 40, }, --7n
	["Summon Great Sunwalker Kodo"] = { class = "PALADIN", level = 40, }, --7n
	["Summon Thalassian Charger"] = { class = "PALADIN", level = 40, }, --7n
--	["Seal of Righteousness"] = { class = "PALADIN", level = 42, }, --x Moved
--	["Turn Evil"] = 			{ class = "PALADIN", level = 46, }, 7
--	["Hand of Protection"] = 	{ class = "PALADIN", level = 48, }, 7
	["Blessing of Freedom"] = 	{ class = "PALADIN", level = 52, },	--7n
--	["Hand of Freedom"] = 		{ class = "PALADIN", level = 52, }, 7
--	["Sanctity of Battle"] = 	{ class = "PALADIN", level = 58, }, 7
--	["Hand of Salvation"] = 	{ class = "PALADIN", level = 66, }, --x Moved
--	["Avenging Wrath"] = 		{ class = "PALADIN", level = 72, }, --x Moved
--	["Hand of Sacrifice"] = 	{ class = "PALADIN", level = 80, }, 7
--	["Blessing of Might"] = 	{ class = "PALADIN", level = 81, }, 7
--	["Blinding Light"] = 		{ class = "PALADIN", level = 87, }, --x Moved
--++ Paladin Specialization ++
	--++ Holy/Protection/Retribution ++	
	["Hammer of Justice"] = 	{ class = "PALADIN", level = 5, }, --7m
	["Flash of Light"] = 		{ class = "PALADIN", level = 8, }, --7m	
	["Blessing of Protection"] = { class = "PALADIN", level = 48, }, --7n
	["Avenging Wrath"] = 		{ class = "PALADIN", level = 72, }, --7m
	--++ Holy/Retribution ++	
	["Divine Protection"] = 	{ class = "PALADIN", level = 26, }, --7m	
	["Consecration"] = 			{ class = "PALADIN", level = 32, }, --7m	
--	["Supplication"] = 			{ class = "PALADIN", level = 34, }, --x Moved
	["Blessing of Sacrifice"] = { class = "PALADIN", level = 56, }, --7n
	--++ Protection/Retribution ++ 
	["Cleanse Toxins"] = 		{ class = "PALADIN", level = 21, }, --7n
--	["Seal of Truth"] = 		{ class = "PALADIN", level = 24, }, 7
	["Rebuke"] = 				{ class = "PALADIN", level = 36, }, --7m
--	["Seal of Righteousness"] = { class = "PALADIN", level = 42, }, 7
	--++ Holy ++
	["Light of the Martyr"] =  	{ class = "PALADIN", level = 1, }, --7n??
	["Holy Shock"] = 			{ class = "PALADIN", level = 10, },
--	["Holy Insight"] = 			{ class = "PALADIN", level = 10, }, 7
--	["Denounce"] = 				{ class = "PALADIN", level = 20, }, 7
--	["Sacred Cleansing"] = 		{ class = "PALADIN", level = 20, }, 7
	["Cleanse"] = 				{ class = "PALADIN", level = 20, }, --7m
--	["Holy Radiance"] = 		{ class = "PALADIN", level = 28, }, 7
	["Beacon of Light"] = 		{ class = "PALADIN", level = 36, },
--	["Absolution"] = 			{ class = "PALADIN", level = 44, },	--7n Conflict
--	["Divine Plea"] = 			{ class = "PALADIN", level = 46, }, 7
	["Infusion of Light"] = 	{ class = "PALADIN", level = 50, },
	["Righteousness"] = 		{ class = "PALADIN", level = 50, }, --7n
--	["Divine Light"] = 			{ class = "PALADIN", level = 54, }, 7
	["Holy Light"] = 			{ class = "PALADIN", level = 54, },
--	["Daybreak"] = 				{ class = "PALADIN", level = 56, }, 7
--	["Devotion Aura"] = 		{ class = "PALADIN", level = 60, }, --x Moved
--	["Divine Favor"] = 			{ class = "PALADIN", level = 62, }, 7
--	["Tower of Radiance"] = 	{ class = "PALADIN", level = 64, }, 7
	["Light of Dawn"] = 		{ class = "PALADIN", level = 58, },
	["Aura Mastery"] = 			{ class = "PALADIN", level = 65, },	--7n
	["Lightbringer"] = 			{ class = "PALADIN", level = 78, },	--7n
--	["Illuminated Healing"] = 	{ class = "PALADIN", level = 80, }, 7
--	["Sanctified Light"] = 		{ class = "PALADIN", level = 90, }, 7 
	--++ Protection ++ 
	["Avenger's Shield"] = 		{ class = "PALADIN", level = 10, },
	["Guarded by the Light"] = 	{ class = "PALADIN", level = 10, },
	["Hammer of the Righteous"] = { class = "PALADIN", level = 10, },	
--	["Resolve"] = 				{ class = "PALADIN", level = 10, }, --x Conflict?
	["Righteous Fury"] = 		{ class = "PALADIN", level = 10, }, --7m
	["Sanctuary"] = 			{ class = "PALADIN", level = 10, },	
--	["Vengeance"] = 			{ class = "PALADIN", level = 10, }, 7
	["Light of the Protector"] = { class = "PALADIN", level = 12, }, --7n
	["Judgments of the Wise"] = { class = "PALADIN", level = 28, },
	["Shield of the Righteous"] = { class = "PALADIN", level = 38, },
	["Grand Crusader"] = 		{ class = "PALADIN", level = 50, },
--	["Shining Protector"] = 	{ class = "PALADIN", level = 50, }, --x
	["Divine Steed"] = 			{ class = "PALADIN", level = 58, }, --7n??
	["Ardent Defender"] = 		{ class = "PALADIN", level = 65, },	
--	["Hand of Salvation"] = 	{ class = "PALADIN", level = 66, }, 7
--	["Riposte"] =		 		{ class = "PALADIN", level = 76, }, --7 Conflict
	["Divine Bulwark"] = 		{ class = "PALADIN", level = 78, },
	["Guardian of the Ancient Kings"] = { class = "PALADIN", level = 83, },		
--	["Sacred Duty"] = 			{ class = "PALADIN", level = 90, }, 7 
	--++ Retribution ++  
	["Templar's Verdict"] = 	{ class = "PALADIN", level = 10, },
	["Sword of Light"] = 		{ class = "PALADIN", level = 12, },
	["Blade of Justice"] = 		{ class = "PALADIN", level = 16, }, --7n
	["Shield of Vengeance"] = 	{ class = "PALADIN", level = 24, }, --7n	
	["Hand of Hindrance"] = 	{ class = "PALADIN", level = 26, }, --7n
--	["Judgments of the Bold"] = { class = "PALADIN", level = 28, }, 7
	["Divine Storm"] = 			{ class = "PALADIN", level = 32, },
	["Greater Blessing of Might"] = { class = "PALADIN", level = 42, }, --7n
	["Greater Blessing of Kings"] = { class = "PALADIN", level = 44, }, --7n	
--	["Exorcism"] = 				{ class = "PALADIN", level = 46, },
	["Greater Blessing of Wisdom"] = { class = "PALADIN", level = 46, }, --7n
--	["The Art of War"] = 		{ class = "PALADIN", level = 50, }, 7
--	["Emancipate"] = 			{ class = "PALADIN", level = 54, }, 7
	["Retribution"] =			{ class = "PALADIN", level = 56, }, --7n
--	["Seal of Justice"] = 		{ class = "PALADIN", level = 70, }, 7
	["Divine Judgment"] =		{ class = "PALADIN", level = 78, }, --7n
--	["Absolve"] = 				{ class = "PALADIN", level = 80, }, 7
--	["Hand of Light"] = 		{ class = "PALADIN", level = 80, }, 7
--	["Sanctity Aura"] = 		{ class = "PALADIN", level = 80, }, 7 
--	["Inquisition"] = 			{ class = "PALADIN", level = 81, }, 7
--	["Righteous Vengeance"] = 	{ class = "PALADIN", level = 90, }, 7 
--++ Paladin Talents ++
	["Blinding Light"] = 		{ class = "PALADIN", level = 45, }, 
	["Fist of Justice"] = 		{ class = "PALADIN", level = 45, }, 
	["Repentance"] = 			{ class = "PALADIN", level = 45, }, 
	--++ Holy/Protection ++ 
	["Judgment of Light"] = 	{ class = "PALADIN", level = 90, }, --7n	
	--++ Holy/Retribution ++ 
	["Divine Steed"] = 			{ class = "PALADIN", level = 30, }, --7n??
	--++ Holy ++	
	["Bestow Faith"] = 			{ class = "PALADIN", level = 15, },	--7n
	["Crusader's Might"] = 		{ class = "PALADIN", level = 15, },	--7n
	["Light's Hammer"] = 		{ class = "PALADIN", level = 15, },
	["Rule of Law"] =			{ class = "PALADIN", level = 30, },	--7n
	["Unbreakable Spirit"] =	{ class = "PALADIN", level = 30, },
	["Aura of Mercy"] = 		{ class = "PALADIN", level = 60, }, --7n	
	["Aura of Sacrifice"] = 	{ class = "PALADIN", level = 60, }, --7n	
	["Devotion Aura"] = 		{ class = "PALADIN", level = 60, }, --7m
	["Divine Purpose"] = 		{ class = "PALADIN", level = 75, }, --7??
	["Holy Avenger"] = 			{ class = "PALADIN", level = 75, },
	["Holy Prism"] = 			{ class = "PALADIN", level = 75, },
	["Fervent Martyr"] = 		{ class = "PALADIN", level = 90, }, --7n
	["Sanctified Wrath"] = 		{ class = "PALADIN", level = 90, },	
	["Beacon of Faith"] =		{ class = "PALADIN", level = 100, }, --x
	["Beacon of the Lightbringer"] = { class = "PALADIN", level = 100, }, --7n
	["Beacon of Virtue"] =		{ class = "PALADIN", level = 100, }, --7n
	--++ Protection ++ 
	["Bastion of Light"] = 		{ class = "PALADIN", level = 15, },	--7n
	["Crusader's Judgment"] = 	{ class = "PALADIN", level = 15, },	--7n
	["First Avenger"] = 		{ class = "PALADIN", level = 15, },	--7n
	["Blessed Hammer"] = 		{ class = "PALADIN", level = 30, },	--7n
	["Consecrated Hammer"] = 	{ class = "PALADIN", level = 30, },	--7n
	["Holy Shield"] = 			{ class = "PALADIN", level = 30, }, --x
	["Blessing of Salvation"] = { class = "PALADIN", level = 60, },	--7n
	["Blessing of Spellwarding"] =  { class = "PALADIN", level = 60, },	--7n
	["Retribution Aura"] = 		{ class = "PALADIN", level = 60, },	--7n
	["Final Stand"] = 			{ class = "PALADIN", level = 75, },	--7n
	["Hand of the Protector"] = { class = "PALADIN", level = 75, },	--7n	
	["Knight Templar"] = 		{ class = "PALADIN", level = 75, },	--7n
	["Aegis of Light"] = 		{ class = "PALADIN", level = 90, },	--7n
	["Consecrated Ground"] = 	{ class = "PALADIN", level = 90, },	--7n
	["Last Defender"] = 		{ class = "PALADIN", level = 100, }, --7n
	["Righteous Protector"] = 	{ class = "PALADIN", level = 100, }, --7n 	
	["Seraphim"] = 				{ class = "PALADIN", level = 100, }, --x
	--++ Retribution ++ 	
	["Consecration"] = 			{ class = "PALADIN", level = 15, }, --7n
	["Execution Sentence"] = 	{ class = "PALADIN", level = 15, },	
	["Final Verdict"] = 		{ class = "PALADIN", level = 15, }, --7n
	["Greater Judgment"] = 		{ class = "PALADIN", level = 30, }, --7n
	["The Fires of Justice"] = 	{ class = "PALADIN", level = 30, }, --7n
	["Zeal"] = 					{ class = "PALADIN", level = 30, }, --7n
	["Blade of Wrath"] = 		{ class = "PALADIN", level = 60, }, --7n
	["Divine Hammer"] = 		{ class = "PALADIN", level = 60, }, --7n
	["Virtue's Blade"] = 		{ class = "PALADIN", level = 60, }, --7n
	["Eye for an Eye"] = 		{ class = "PALADIN", level = 75, }, --7n
	["Justicar's Vengeance"] = 	{ class = "PALADIN", level = 75, }, --7n
	["Word of Glory"] = 		{ class = "PALADIN", level = 75, }, --7n
	["Divine Intervention"] = 	{ class = "PALADIN", level = 90, }, --7n
	["Seal of Light"] = 		{ class = "PALADIN", level = 90, }, --7n
	["Crusade"] = 				{ class = "PALADIN", level = 100, }, --7n	
	["Divine Purpose"] = 	 	{ class = "PALADIN", level = 100, }, --7n	
	["Holy Wrath"] = 			{ class = "PALADIN", level = 100, }, --7m
--	["Speed of Light"] = 		{ class = "PALADIN", level = 15, }, 7
--	["Long Arm of the Law"] = 	{ class = "PALADIN", level = 15, }, 7
--	["Pursuit of Justice"] = 	{ class = "PALADIN", level = 15, }, 7

--	["Evil is a Point of View"] = { class = "PALADIN", level = 30, }, 7
--	["Selfless Healer"] = 		{ class = "PALADIN", level = 45, }, 7
--	["Eternal Flame"] = 		{ class = "PALADIN", level = 45, }, 7
--	["Sacred Shield"] = 		{ class = "PALADIN", level = 45, }, 7
--	["Hand of Purity"] = 		{ class = "PALADIN", level = 60, }, 7
--	["Clemency"] = 				{ class = "PALADIN", level = 60, }, 7
--	["Empoweed Seals"] = 		{ class = "PALADIN", level = 100, }, 7
--	["Beacon of Insight"] = 	{ class = "PALADIN", level = 100, }, 7
--	["Saved by the Light"] = 	{ class = "PALADIN", level = 100, }, 7
--	["Final Verdict"] = 		{ class = "PALADIN", level = 100, }, 7

--++ Priest Abilities ++
	["Smite"] = 				{ class = "PRIEST", level = 1, },
	["Power Word: Barrier"] = 	{ class = "PRIEST", level = 5, }, --7m??
--	["Inner Fire"] = 			{ class = "PRIEST", level = 9, }, x
--	["Divine Focus"] = 			{ class = "PRIEST", level = 10, }, x
--	["Psychic Scream"] = 		{ class = "PRIEST", level = 12, }, --x Moved
	["Resurrection"] = 			{ class = "PRIEST", level = 14, },
--	["Power Word: Fortitude"] = { class = "PRIEST", level = 22, }, 7
	["Dispel Magic"] = 			{ class = "PRIEST", level = 26, },
--	["Renew"] = 				{ class = "PRIEST", level = 26, }, --x Moved
	["Shackle Undead"] = 		{ class = "PRIEST", level = 32, },
	["Mind Control"] = 			{ class = "PRIEST", level = 36, }, --7m
	["Fade"] = 					{ class = "PRIEST", level = 38, },
--	["Shadow Word: Death"] = 	{ class = "PRIEST", level = 46, }, --x Moved
--	["Mysticism"] = 			{ class = "PRIEST", level = 50, }, 7
--	["Fear Ward"] = 			{ class = "PRIEST", level = 54, }, 7
--	["Hymn of Hope"] = 			{ class = "PRIEST", level = 66, }, x
	["Mass Dispel"] = 			{ class = "PRIEST", level = 72, },
--	["Inner Will"] = 			{ class = "PRIEST", level = 80, }, 7
--	["Void Shift"] = 			{ class = "PRIEST", level = 87, }, x
	--++ Glyph Abilities ++
--	["Confession"] = 			{ class = "PRIEST", level = 25, }, 7
--++ Priest Specialization ++
	--++ Discipline/Holy/Shadow ++
	["Levitate"] = 				{ class = "PRIEST", level = 28, }, --7m	
	--++ Discipline/Holy ++
--	["Meditation"] = 			{ class = "PRIEST", level = 10, }, 7
--	["Spiritual Healing"] = 	{ class = "PRIEST", level = 10, }, 7
	["Purify"] = 				{ class = "PRIEST", level = 22, },
	["Focused Will"] = 			{ class = "PRIEST", level = 34, },
	["Greater Heal"] = 			{ class = "PRIEST", level = 34, },
--	["Evangelism"] = 			{ class = "PRIEST", level = 44, }, 7
	["Mass Resurrection"] = 	{ class = "PRIEST", level = 44, }, --7n
	["Leap of Faith"] = 		{ class = "PRIEST", level = 83, }, --7m
	--++ Discipline/Shadow ++
	["Shadow Mend"] = 			{ class = "PRIEST", level = 1, }, --7n		
	["Shadow Word: Pain"] = 	{ class = "PRIEST", level = 3, }, --7m
	["Power Word: Shield"] = 	{ class = "PRIEST", level = 5, }, --7m	
	["Psychic Scream"] = 		{ class = "PRIEST", level = 12, }, --7m
	["Shadowfiend"] = 			{ class = "PRIEST", level = 42, }, --7m	
	["Mind Vision"] = 			{ class = "PRIEST", level = 42, }, --7m	
	--++ Discipline ++
	["Plea"] = 					{ class = "PRIEST", level = 7, }, --7n	
	["Penance"] = 				{ class = "PRIEST", level = 10, },
--	["Divine Aegis"] = 			{ class = "PRIEST", level = 24, }, 7
	["Atonement"] = 			{ class = "PRIEST", level = 24, },
--	["Spirit Shell"] = 			{ class = "PRIEST", level = 28, }, 7
--	["Inner Focus"] = 			{ class = "PRIEST", level = 36, }, 7
	["Grace"] = 				{ class = "PRIEST", level = 45, }, --7??
	["Power Word: Radiance"] = 	{ class = "PRIEST", level = 46, }, --7n	
--	["Archangel"] = 			{ class = "PRIEST", level = 50, }, 7
	["Rapture"] = 				{ class = "PRIEST", level = 50, },	
--	["Strength of Soul"] = 		{ class = "PRIEST", level = 52, }, 7
	["Pain Suppression"] = 		{ class = "PRIEST", level = 56, },
--	["Borrowed Time"] = 		{ class = "PRIEST", level = 62, }, 7
--	["Absolution"] = 			{ class = "PRIEST", level = 44, },	--7n Conflict
--	["Train of Thought"] = 		{ class = "PRIEST", level = 78, }, 7
--	["Shield Discipline"] = 	{ class = "PRIEST", level = 80, }, 7
	--++ Holy ++
	["Flash Heal"] = 			{ class = "PRIEST", level = 10, }, --7m
	["Renew"] = 				{ class = "PRIEST", level = 10, }, 
	["Holy Fire"] = 			{ class = "PRIEST", level = 18, }, --7m	
	["Holy Word: Serenity"] = 	{ class = "PRIEST", level = 18, }, --7n	
	["Holy Word: Chastise"] = 	{ class = "PRIEST", level = 24, },
	["Spirit of Redemption"] = 	{ class = "PRIEST", level = 29, },
	["Heal"] = 					{ class = "PRIEST", level = 34, },
--	["Lightwell"] = 			{ class = "PRIEST", level = 36, }, 7
	["Prayer of Healing"] = 	{ class = "PRIEST", level = 40, },
	["Serendipity"] = 			{ class = "PRIEST", level = 42, },	
--	["Binding Heal"] = 			{ class = "PRIEST", level = 48, }, 7
	["Holy Word: Sanctify"] = 	{ class = "PRIEST", level = 50, }, --7n
	["Guardian Spirit"] = 		{ class = "PRIEST", level = 54, },	
--	["Chakra: Chastise"] = 		{ class = "PRIEST", level = 56, }, 7
--	["Chakra: Sanctuary"] = 	{ class = "PRIEST", level = 56, }, 7
--	["Chakra: Serenity"] = 		{ class = "PRIEST", level = 56, }, 7
	["Prayer of Mending"] = 	{ class = "PRIEST", level = 58, }, --7m	
--	["Rapid Renewal"] = 		{ class = "PRIEST", level = 64, }, 7
	["Holy Nova"] = 			{ class = "PRIEST", level = 65, },
	["Divine Hymn"] = 			{ class = "PRIEST", level = 76, },
	["Echo of Light"] = 		{ class = "PRIEST", level = 78, },
--	["Divine Providence"] = 	{ class = "PRIEST", level = 90, }, 7
	--++ Shadow ++
--	["Mind Blast"] = 			{ class = "PRIEST", level = 10, }, 7
	["Mind Flay"] = 			{ class = "PRIEST", level = 10, },
	["Void Bolt"] = 			{ class = "PRIEST", level = 10, }, --7n
	["Void Eruption"] = 		{ class = "PRIEST", level = 10, }, --7n
	["Voidform"] = 				{ class = "PRIEST", level = 10, }, --7n
--	["Spiritual Precision"] = 	{ class = "PRIEST", level = 10, }, 7
	["Mind Blast"] = 			{ class = "PRIEST", level = 16, }, 
	["Devouring Plague"] = 		{ class = "PRIEST", level = 21, },
	["Shadow Orbs"] = 			{ class = "PRIEST", level = 21, },
	["Purify Disease"] = 		{ class = "PRIEST", level = 22, }, --7n
--	["Shadowform"] = 			{ class = "PRIEST", level = 24, }, 7
	["Vampiric Touch"] = 		{ class = "PRIEST", level = 24, },
	["Mind Sear"] = 			{ class = "PRIEST", level = 76, }, --7m	
	["Shadow Word: Death"] = 	{ class = "PRIEST", level = 28, }, --7??	
	["Shadowy Apparitions"] = 	{ class = "PRIEST", level = 34, },
	["Silence"] = 				{ class = "PRIEST", level = 50, },
	["Dispersion"] = 			{ class = "PRIEST", level = 58, },
--	["Psychic Horror"] = 		{ class = "PRIEST", level = 74, }, 7
	["Vampiric Embrace"] = 		{ class = "PRIEST", level = 65, },
	["Madness"] = 				{ class = "PRIEST", level = 78, }, --7n	
--	["Mental Anguish"] = 		{ class = "PRIEST", level = 80, }, 7
--	["Shadowy Recall"] = 		{ class = "PRIEST", level = 80, }, 7
--	["Mastermind"] = 			{ class = "PRIEST", level = 90, }, 7
--++ Priest Talents ++
	--++ Discipline/Holy ++	
	["Angelic Feather"] = 		{ class = "PRIEST", level = 30, },	
	["Shining Force"] = 		{ class = "PRIEST", level = 45, }, --7n	
	["Divine Star"] = 			{ class = "PRIEST", level = 90, },	
	["Halo"] = 					{ class = "PRIEST", level = 90, },	
	--++ Discipline/Shadow ++	
	["Body and Soul"] = 		{ class = "PRIEST", level = 30, },
	["Masochism"] = 			{ class = "PRIEST", level = 30, }, --7n	
	["Dominate Mind"] = 		{ class = "PRIEST", level = 45, },
	["Psychic Voice"] = 		{ class = "PRIEST", level = 45, }, --7n
	["Mindbender"] = 			{ class = "PRIEST", level = 60, },	
	["Power Infusion"] = 		{ class = "PRIEST", level = 75, },
	["Twist of Fate"] = 		{ class = "PRIEST", level = 75, },	
	--++ Discipline ++	
	["Castigation"] = 			{ class = "PRIEST", level = 15, }, --7n
	["Schism"] = 				{ class = "PRIEST", level = 15, }, --7n
	["The Penitent"] = 			{ class = "PRIEST", level = 15, }, --7n
	["Power Word: Solace"] = 	{ class = "PRIEST", level = 60, }, --7n
	["Shield Discipline"] = 	{ class = "PRIEST", level = 60, }, --7n
	["Contrition"] = 			{ class = "PRIEST", level = 75, }, --7n
	["Clarity of Will"] = 		{ class = "PRIEST", level = 90, }, 
	["Grace"] = 				{ class = "PRIEST", level = 100, }, --7??
	["Purge the Wicked"] = 		{ class = "PRIEST", level = 100, }, --7n
	["Shadow Covenant"] = 		{ class = "PRIEST", level = 100, }, --7n
	--++ Holy ++
	["Enduring Renewal"] = 		{ class = "PRIEST", level = 15, }, --7n
	["Enlightenment"] = 		{ class = "PRIEST", level = 15, }, --7m
	["Trail of Light"] = 		{ class = "PRIEST", level = 15, }, --7n
	["Body and Mind"] = 		{ class = "PRIEST", level = 30, }, --7n
	["Desperate Prayer"] = 		{ class = "PRIEST", level = 30, },	
	["Afterlife"] = 			{ class = "PRIEST", level = 45, }, --7n
	["Censure"] = 				{ class = "PRIEST", level = 45, }, --7n
	["Guardian Angel"] = 		{ class = "PRIEST", level = 60, }, --7n	
	["Light of the Naaru"] =	{ class = "PRIEST", level = 60, }, --7n	
	["Symbol of Hope"] = 		{ class = "PRIEST", level = 60, }, --7n	
	["Binding Heal"] = 			{ class = "PRIEST", level = 75, }, --7m
	["Piety"] = 				{ class = "PRIEST", level = 75, }, --7n	
	["Surge of Light"] = 		{ class = "PRIEST", level = 75, }, --7n
	["Divinity"] = 				{ class = "PRIEST", level = 90, }, --7n
	["Apotheosis"] = 			{ class = "PRIEST", level = 100, }, --7n
	["Benediction"] = 			{ class = "PRIEST", level = 100, }, --7n
	["Circle of Healing"] = 	{ class = "PRIEST", level = 100, }, --7m
	--++ Shadow ++
	["Fortress of the Mind"] = 	{ class = "PRIEST", level = 15, }, --7n
	["Shadow Word: Void"] = 	{ class = "PRIEST", level = 15, }, --7n
	["Mania"] = 				{ class = "PRIEST", level = 30, }, --7n
	["Mind Bomb"] = 			{ class = "PRIEST", level = 45, }, --7n
	["Reaper of Souls"] = 		{ class = "PRIEST", level = 60, }, --7n
	["Void Lord"] = 			{ class = "PRIEST", level = 60, }, --7n
	["Void Ray"] = 				{ class = "PRIEST", level = 60, }, --7n
	["Auspicious Spirits"] = 	{ class = "PRIEST", level = 75, }, 
	["San'layn"] = 				{ class = "PRIEST", level = 75, }, --7n
	["Shadowy Insight"] = 		{ class = "PRIEST", level = 75, }, --7n
	["Shadow Crash"] = 			{ class = "PRIEST", level = 90, }, --7n
	["Legacy of the Void"] = 	{ class = "PRIEST", level = 100, }, --7n
	["Mind Spike"] = 			{ class = "PRIEST", level = 100, }, --7m
	["Surrender to Madness"] = 	{ class = "PRIEST", level = 100, }, --7n
--	["Void Tendrils"] = 		{ class = "PRIEST", level = 15, }, 7
--	["Psyfiend"] = 				{ class = "PRIEST", level = 15, }, 7
--	["Phantasm"] = 				{ class = "PRIEST", level = 30, }, 7
--	["From Darkness, Comes Light"] = { class = "PRIEST", level = 45, }, 7
--	["Solace and Insanity"] = 	{ class = "PRIEST", level = 45, }, 7
--	["Spectral Guise"] = 		{ class = "PRIEST", level = 60, }, 7
--	["Angelic Bulwark"] = 		{ class = "PRIEST", level = 60, }, 7
--	["Spirit Shell"] = 			{ class = "PRIEST", level = 75, }, 7
--	["Divine Insight"] = 		{ class = "PRIEST", level = 75, }, --x Moved
--	["Cascade"] = 				{ class = "PRIEST", level = 90, }, 7
--	["Saving Grace"] = 			{ class = "PRIEST", level = 100, }, 7
--	["Divine Insight"] = 		{ class = "PRIEST", level = 75, },	7
--	["Clarity of Purpose"] = 	{ class = "PRIEST", level = 100, }, 7
--	["Clarity of Power"] = 		{ class = "PRIEST", level = 100, }, 7
--	["Void Entropy"] = 			{ class = "PRIEST", level = 100, }, 7

--++ Rogue Abilities ++
--	["Critical Strikes"] = 		{ class = "DRUID", level = 1, }, --x Conflict
	["Detection"] = 			{ class = "ROGUE", level = 1, }, --7m
--	["Parry"]=					{ class = "ROGUE", level = 1, }, 7 Conflict		
--	["Sinister Strike"] = 		{ class = "ROGUE", level = 1, }, 7
	["Crimson Vial"] = 			{ class = "ROGUE", level = 14, }, --7n	
--	["Recuperate"] = 			{ class = "ROGUE", level = 16, },
	["Kick"] = 					{ class = "ROGUE", level = 18, },
	["Pick Lock"] = 			{ class = "ROGUE", level = 24, },
	["Sprint"] = 				{ class = "ROGUE", level = 26, },
--	["Mind-numbing Poison"] = 	{ class = "ROGUE", level = 28, }, x
--	["Swiftblade's Cunning"] =	{ class = "ROGUE", level = 30, }, 7
--	["Expose Armor"] = 			{ class = "ROGUE", level = 36, }, 7
	["Detect Traps"] = 			{ class = "ROGUE", level = 42, },
--	["Feint"] = 				{ class = "ROGUE", level = 44, }, 7
--	["Dismantle"] = 			{ class = "ROGUE", level = 52, }, x
--	["Disarm Trap"] = 			{ class = "ROGUE", level = 56, }, x
	["Cloak of Shadows"] = 		{ class = "ROGUE", level = 58, },
	["Fleet Footed"] = 			{ class = "ROGUE", level = 62, },
	["Safe Fall"] = 			{ class = "ROGUE", level = 48, }, 	
	["Fan of Knives"] = 		{ class = "ROGUE", level = 66, }, --7??
--	["Preparation"] = 			{ class = "ROGUE", level = 68, }, x
--	["Shadow Walk"] = 			{ class = "ROGUE", level = 72, }, x
--	["Shiv"] = 					{ class = "ROGUE", level = 74, }, 7
--	["Shroud of Concealment"] = { class = "ROGUE", level = 76, }, x Not turned on
	["Tricks of the Trade"] = 	{ class = "ROGUE", level = 78, },
--	["Redirect"] = 				{ class = "ROGUE", level = 81, }, x
--	["Crimson Tempest"] = 		{ class = "ROGUE", level = 83, }, 7
--	["Smoke Bomb"] = 			{ class = "ROGUE", level = 85, }, 7
--++ Rogue Specialization ++
	--++ Assassination/Outlaw/Subtlety ++  
	["Stealth"] = 				{ class = "ROGUE", level = 5, }, --7m	
	["Sap"] = 					{ class = "ROGUE", level = 12, }, --7m
	["Pick Pocket"] = 			{ class = "ROGUE", level = 16, }, --7m	
	["Distract"] = 				{ class = "ROGUE", level = 28, }, --7m	
	["Cheap Shot"] = 			{ class = "ROGUE", level = 30, }, --7m	
	["Vanish"] = 				{ class = "ROGUE", level = 32, }, --7m	
	--++ Assassination/Subtlety ++  
	["Evasion"] = 				{ class = "ROGUE", level = 8, }, --7m	
	["Shadowstep"] = 			{ class = "ROGUE", level = 13, }, --7m
	["Kidney Shot"] = 			{ class = "ROGUE", level = 40, }, --7m	
	--++ Outlaw/Subtlety ++ 
	["Blind"] = 				{ class = "ROGUE", level = 38, }, --7m	
	--++ Assassination ++  
	["Mutilate"] = 				{ class = "ROGUE", level = 1, },
	["Deadly Poison"] = 		{ class = "ROGUE", level = 2, }, --7m
	["Envenom"] = 				{ class = "ROGUE", level = 3, },
	["Assassin's Resolve"] = 	{ class = "ROGUE", level = 10, },
	["Improved Poisons"] = 		{ class = "ROGUE", level = 10, },
	["Poisoned Knife"] = 		{ class = "ROGUE", level = 10, }, --7n
	["Crippling Poison"] = 		{ class = "ROGUE", level = 19, }, --7m
	["Cut to the Chase"] = 		{ class = "ROGUE", level = 20, }, 
	["Rupture"] = 				{ class = "ROGUE", level = 22, }, --7m	
	["Venomous Wounds"] = 		{ class = "ROGUE", level = 22, },
	["Wound Poison"] = 			{ class = "ROGUE", level = 25, }, --7m	
	["Seal Fate"] = 			{ class = "ROGUE", level = 27, },
--	["Dispatch"] = 				{ class = "ROGUE", level = 40, }, 7
	["Garrote"] = 				{ class = "ROGUE", level = 48, }, --7m
--	["Blindside"] = 			{ class = "ROGUE", level = 70, }, x
	["Vendetta"] = 				{ class = "ROGUE", level = 72, },
	["Potent Poisons"] = 		{ class = "ROGUE", level = 78, },
	--++ Outlaw ++  	
--	["Ambidexterity"] = 		{ class = "ROGUE", level = 10, }, x
--	["Ripsote"] = 				{ class = "ROGUE", level = 10, }, -- Conflict
	["Run Through"] = 			{ class = "ROGUE", level = 10, }, --7n
	["Saber Slash"] = 			{ class = "ROGUE", level = 10, }, --7n
	["Vitality"] = 				{ class = "ROGUE", level = 10, },	
	["Pistol Shot"] = 			{ class = "ROGUE", level = 12, }, --7n
	["Ambush"] = 				{ class = "ROGUE", level = 14, }, --7m
	["Revealing Strike"] = 		{ class = "ROGUE", level = 20, },
	["Gouge"] = 				{ class = "ROGUE", level = 22, }, --7m	
	["Between the Eyes"] = 		{ class = "ROGUE", level = 25, }, --7n
	["Ruthlessness"] = 			{ class = "ROGUE", level = 27, },
	["Combat Potency"] = 		{ class = "ROGUE", level = 34, },
	["Roll the Bones"] = 		{ class = "ROGUE", level = 36, }, --7n
	["Blade Flurry"] = 			{ class = "ROGUE", level = 48, },	
	["Restless Blades"] = 		{ class = "ROGUE", level = 50, },
	["Bribe"] = 				{ class = "ROGUE", level = 54, }, --7n	
--	["Bandit's Guile"] = 		{ class = "ROGUE", level = 60, }, 7
	["Adrenaline Rush"] = 		{ class = "ROGUE", level = 72, },
	["Main Gauche"] = 			{ class = "ROGUE", level = 78, },
	--++ Subtlety ++
	["Backstab"] = 				{ class = "ROGUE", level = 10, },
	["Energetic Recovery"] = 	{ class = "ROGUE", level = 10, },
	["Eviscerate"] = 			{ class = "ROGUE", level = 10, }, --7m
--	["Sinister Calling"] = 		{ class = "ROGUE", level = 10, }, 7
	["Shuriken Toss"] = 		{ class = "ROGUE", level = 11, }, --7m
	["Find Weakness"] = 		{ class = "ROGUE", level = 20, },
	["Shadowstrike"] = 		 	{ class = "ROGUE", level = 22, }, --7n
	["Shadow Techniques"] = 	{ class = "ROGUE", level = 27, }, --7n
	["Premeditation"] = 		{ class = "ROGUE", level = 30, }, --7??
	["Symbols of Death"] = 		{ class = "ROGUE", level = 34, }, --7n
	["Shadow Dance"] = 			{ class = "ROGUE", level = 36, },
	["Deepening Shadows"] = 	{ class = "ROGUE", level = 42, }, --7n
	["Nightblade"] = 			{ class = "ROGUE", level = 46, }, --7n	
--	["Honor Among Thieves"] = 	{ class = "ROGUE", level = 50, }, 7
	["Relentless Strikes"] = 	{ class = "ROGUE", level = 54, }, 	
--	["Sanguinary Vein"] = 		{ class = "ROGUE", level = 60, }, 7
	["Shuriken Storm"] = 		{ class = "ROGUE", level = 66, }, --7n
	["Shadow Blades"] = 		{ class = "ROGUE", level = 72, }, --7m	
	["Executioner"] = 			{ class = "ROGUE", level = 78, },
--++ Rogue Talents ++
	["Anticipation"] = 			{ class = "ROGUE", level = 45 }, 
	["Deeper Stratagem"] = 		{ class = "ROGUE", level = 45 }, --7n	
	["Vigor"] = 				{ class = "ROGUE", level = 45 }, --7n	
	["Cheat Death"] = 			{ class = "ROGUE", level = 60, }, 
	["Elusiveness"] = 			{ class = "ROGUE", level = 60, }, 
	["Prey on the Weak"] = 		{ class = "ROGUE", level = 75, }, 
	["Alacrity"] = 				{ class = "ROGUE", level = 90, }, --7n
	["Death from Above"] = 		{ class = "ROGUE", level = 100, },
	["Marked for Death"] =		{ class = "ROGUE", level = 100, }, 
	--++ Assassination/Subtlety ++  
	["Nightstalker"] = 			{ class = "ROGUE", level = 30, },
	["Shadow Focus"] = 			{ class = "ROGUE", level = 30, },	
	["Subterfuge"] = 			{ class = "ROGUE", level = 30, },	
	--++ Assassination ++ 
	["Elaborate Planning"] = 	{ class = "ROGUE", level = 15, }, --7n
	["Hemorrhage"] = 			{ class = "ROGUE", level = 15, }, --7m	
	["Master Poisoner"] = 		{ class = "ROGUE", level = 15, }, --7m
	["Leeching Poison"] = 		{ class = "ROGUE", level = 60, },
	["Internal Bleeding"] = 	{ class = "ROGUE", level = 75, }, --x
	["Thuggee"] = 				{ class = "ROGUE", level = 75, }, --7n	
	["Agonizing Poison"] = 		{ class = "ROGUE", level = 90, }, --7n	
	["Exsanguinate"] = 			{ class = "ROGUE", level = 90, }, --7n	
	["Venom Rush"] = 			{ class = "ROGUE", level = 100, }, --x
	--++ Outlaw ++ 	
	["Ghostly Strike"] = 		{ class = "ROGUE", level = 15, }, --7n
	["Quick Draw"] = 			{ class = "ROGUE", level = 15, }, --7n
	["Swordmaster"] = 			{ class = "ROGUE", level = 15, }, --7n
	["Acrobatic Strikes"] = 	{ class = "ROGUE", level = 30, }, --7n
	["Grappling Hook"] = 		{ class = "ROGUE", level = 30, }, --7n
	["Hit and Run"] = 			{ class = "ROGUE", level = 30, }, --7n
	["Iron Stomach"] = 			{ class = "ROGUE", level = 60, }, --7n
	["Dirty Tricks"] = 			{ class = "ROGUE", level = 75, },
	["Parley"] = 				{ class = "ROGUE", level = 75, }, --7n
	["Cannonball Barrage"] = 	{ class = "ROGUE", level = 90, }, --7n
	["Killing Spree"] = 		{ class = "ROGUE", level = 90, }, --7m
	["Slice and Dice"] = 		{ class = "ROGUE", level = 100, }, --7m	
	--++ Subtlety ++  	
	["Gloomblade"] = 			{ class = "ROGUE", level = 15, }, --7n	
	["Master of Subtlety"] = 	{ class = "ROGUE", level = 15 }, --7m
	["Weaponmaster"] = 			{ class = "ROGUE", level = 15, }, --7n
	["Soothing Darkness"] = 	{ class = "ROGUE", level = 60, }, --7n
	["Strike from the Shadows"] = { class = "ROGUE", level = 75, }, --7n
	["Tangled Shadow"] = 		{ class = "ROGUE", level = 75 }, --7n
	["Enveloping Shadows"] = 	{ class = "ROGUE", level = 100, }, --7n
	["Premeditation"] = 		{ class = "ROGUE", level = 90, }, --7m??
	["Master of Shadows"] = 	{ class = "ROGUE", level = 100, }, --7n
--	["Deadly Throw"] = 			{ class = "ROGUE", level = 30, }, 7
--	["Nerve Strike"] = 			{ class = "ROGUE", level = 30, }, 7
--	["Combat Readiness"] = 		{ class = "ROGUE", level = 30, }, 7
--	["Burst of Speed"] = 		{ class = "ROGUE", level = 60, }, 7
--	["Cloak and Dagger"] = 		{ class = "ROGUE", level = 60, }, 7
--	["Paralytic Poison"] = 		{ class = "ROGUE", level = 75, }, x
--	["Shadow Reflection"] = 	{ class = "ROGUE", level = 100, }, 7

--++ Shaman Abilities ++
	["Disabling Totem"] = 		{ class = "SHAMAN", level = 1, }, --7n??
--	["Primal Strike"] = 		{ class = "SHAMAN", level = 3, }, 7
--	["Earth Shock"] = 			{ class = "SHAMAN", level = 6, }, --x Moved
--	["Flametongue Weapon"] = 	{ class = "SHAMAN", level = 10, }, x
	["Ancestral Spirit"] = 		{ class = "SHAMAN", level = 14, },
	["Ghost Wolf"] = 			{ class = "SHAMAN", level = 16, },
--	["Searing Totem"] = 		{ class = "SHAMAN", level = 16, }, 7
--	["Water Shield"] = 			{ class = "SHAMAN", level = 20, }, --x Moved
	["Water Walking"] = 		{ class = "SHAMAN", level = 24, },
--	["Earthbind Totem"] = 		{ class = "SHAMAN", level = 26, }, 7
--	["Totemic Recall"] = 		{ class = "SHAMAN", level = 30, }, 7
--	["Reincarnation"] = 		{ class = "SHAMAN", level = 32, }, 7
--	["Astral Recall"] = 		{ class = "SHAMAN", level = 34, }, 7
	["Far Sight"] = 			{ class = "SHAMAN", level = 36, },
--	["Magma Totem"] = 			{ class = "SHAMAN", level = 36, }, --x Moved
--	["Grounding Totem"] = 		{ class = "SHAMAN", level = 38, }, 7
--	["Burning Wrath"] = 		{ class = "SHAMAN", level = 40, }, x
	["Hex"] = 					{ class = "SHAMAN", level = 42, },
	["Astral Shift"] = 			{ class = "SHAMAN", level = 44, },	
--	["Chain Heal"] = 			{ class = "SHAMAN", level = 44, }, --x Moved
--	["Frostbrand Weapon"] = 	{ class = "SHAMAN", level = 46, }, x
--	["Tremor Totem"] = 			{ class = "SHAMAN", level = 54, }, 7
--	["Earth Elemental Totem"] = { class = "SHAMAN", level = 58, }, 7
	["Purge"] = 				{ class = "SHAMAN", level = 58, },	
--	["Capacitor Totem"] = 		{ class = "SHAMAN", level = 63, }, 7
--	["Healing Tide Totem"] = 	{ class = "SHAMAN", level = 65, }, --x Moved
	["Bloodlust"] = 			{ class = "SHAMAN", level = 65, },
	["Heroism"] = 				{ class = "SHAMAN", level = 65, },
--	["Fire Elemental Totem"] = 	{ class = "SHAMAN", level = 66, }, 7
--	["Bind Elemental"] = 		{ class = "SHAMAN", level = 72, }, x
--	["Rockbiter Weapon"] = 		{ class = "SHAMAN", level = 75, }, x
--	["Stormlash Totem"] = 		{ class = "SHAMAN", level = 78, }, x
--	["Grace of Air"] = 			{ class = "SHAMAN", level = 80, }, 7
--	["Unleash Elements"] = 		{ class = "SHAMAN", level = 81, }, 7
--	["Spiritwalker's Grace"] = 	{ class = "SHAMAN", level = 85, }, --x Moved
--	["Ascendance"] = 			{ class = "SHAMAN", level = 87, }, 7
--++ Shaman Specialization ++
	--++ Elemental/Enhancement/Restoration ++
	["Lightning Bolt"] = 		{ class = "SHAMAN", level = 1, }, --7m		
	["Healing Surge"] = 		{ class = "SHAMAN", level = 7, }, --7m		
	["Wind Shear"] = 			{ class = "SHAMAN", level = 22, }, --7m	
	--++ Elemental/Enhancement ++
	["Maelstrom Controller"] = 	{ class = "SHAMAN", level = 3, }, --7n??	
	["Cleanse Spirit"] = 		{ class = "SHAMAN", level = 18, }, --7m
--	["Shamanistic Rage"] = 		{ class = "SHAMAN", level = 65, }, 7
	--++ Elemental/Restoration ++ 
	["Flame Shock"] = 			{ class = "SHAMAN", level = 3, }, --7m	
	["Lava Burst"] = 			{ class = "SHAMAN", level = 12, },
	["Chain Lightning"] = 		{ class = "SHAMAN", level = 28, }, --7m		
	["Lava Surge"] = 			{ class = "SHAMAN", level = 38, },	
	--++ Elemental ++ 
	["Fulmination"] = 			{ class = "SHAMAN", level = 1, },	
	["Earth Shock"] = 			{ class = "SHAMAN", level = 3, }, --x 
	["Elemental Fury"] = 		{ class = "SHAMAN", level = 10, }, 
--	["Elemental Precision"] = 	{ class = "SHAMAN", level = 10, }, x
--	["Elemental Reach"] = 		{ class = "SHAMAN", level = 10, }, 7
--	["Shamanism"] = 			{ class = "SHAMAN", level = 10, }, 7
	["Spiritual Insight"] = 	{ class = "SHAMAN", level = 10, },	
	["Thunderstorm"] = 			{ class = "SHAMAN", level = 16, },
--	["Rolling Thunder"] = 		{ class = "SHAMAN", level = 20, }, x
	["Frost Shock"] = 			{ class = "SHAMAN", level = 22, }, --7m
	["Elemental Focus"] = 		{ class = "SHAMAN", level = 40, }, 
	["Fire Elemental"] = 		{ class = "SHAMAN", level = 48, }, --7n	
	["Earthquake Totem"] = 		{ class = "SHAMAN", level = 52, }, --7n	 
--	["Elemental Oath"] = 		{ class = "SHAMAN", level = 55, }, x
--	["Earthquake"] = 			{ class = "SHAMAN", level = 60, }, 7
	["Earth Elemental"] = 		{ class = "SHAMAN", level = 72, }, --7n	
	["Elemental Overload"] = 	{ class = "SHAMAN", level = 78, },
	["Molten Earth"] = 			{ class = "SHAMAN", level = 80, }, --x
	["Unleash Flame"] = 		{ class = "SHAMAN", level = 81, }, --x
	--++ Enhancement ++
--	["Critical Strikes"] = 		{ class = "DRUID", level = 1, }, --x Conflict
	["Lava Lash"] = 			{ class = "SHAMAN", level = 10, },
	["Rockbiter"] = 			{ class = "SHAMAN", level = 10, }, --7n	
--	["Mental Quickness"] = 		{ class = "SHAMAN", level = 10, }, 7
--	["Primal Wisdom"] = 		{ class = "SHAMAN", level = 10, }, x
	["Flametongue"] = 			{ class = "SHAMAN", level = 12, }, --7n
	["Frostbrand"] = 			{ class = "SHAMAN", level = 19, }, --7n	
--	["Flurry"] = 				{ class = "SHAMAN", level = 20, },  Conflict ??
	["Stormstrike"] = 			{ class = "SHAMAN", level = 26, },
	["Crash Lightning"] = 		{ class = "SHAMAN", level = 28, }, --7n
--	["Enhanced Weapons"] =		{ class = "SHAMAN", level = 30, }, --x
	["Windfury"] = 				{ class = "SHAMAN", level = 30, }, --7n
--	["Windfury Weapon"] = 		{ class = "SHAMAN", level = 30, }, x
--	["Searing Flames"] = 		{ class = "SHAMAN", level = 34, }, x
--	["Magma Totem"] = 			{ class = "SHAMAN", level = 36, }, --x Moved
	["Stormlash"] = 			{ class = "SHAMAN", level = 38, }, --7n
--	["Static Shock"] = 			{ class = "SHAMAN", level = 40, }, x
	["Stormbringer"] = 			{ class = "SHAMAN", level = 40, }, --7n
--	["Fire Nova"] = 			{ class = "SHAMAN", level = 44, }, 7
	["Feral Spirit"] = 			{ class = "SHAMAN", level = 48, }, --7n
	["Maelstrom Weapon"] = 		{ class = "SHAMAN", level = 52, },
--	["Unleashed Rage"] = 		{ class = "SHAMAN", level = 55, }, 7
--	["Feral Spirit"] = 			{ class = "SHAMAN", level = 60, }, 7
	["Spirit Walk"] = 			{ class = "SHAMAN", level = 72, },
	["Enhanced Elements"] = 	{ class = "SHAMAN", level = 78, },
--	["Lightning Strikes"] =		{ class = "SHAMAN", level = 90, }, --x
	--++ Restoration ++
--	["Meditation"] = 			{ class = "SHAMAN", level = 10, }, 7
--	["Purification"] = 			{ class = "SHAMAN", level = 10, }, 7
	["Riptide"] = 				{ class = "SHAMAN", level = 10, },
	["Healing Stream Totem"] = 	{ class = "SHAMAN", level = 13, },	
	["Purify Spirit"] = 		{ class = "SHAMAN", level = 18, },
--	["Water Shield"] = 			{ class = "SHAMAN", level = 20, }, --x Moved
	["Chain Heal"] = 			{ class = "SHAMAN", level = 26, }, --x Moved	
--	["Earth Shield"] = 			{ class = "SHAMAN", level = 26, }, 7
--	["Earthliving Weapon"] = 	{ class = "SHAMAN", level = 30, }, x
--	["Ancestral Awakening"] = 	{ class = "SHAMAN", level = 34, }, x
	["Resurgence"] = 			{ class = "SHAMAN", level = 40, },
	["Ancestral Vision"] = 		{ class = "SHAMAN", level = 44, }, --7n
	["Healing Rain"] = 			{ class = "SHAMAN", level = 48, },
	["Tidal Waves"] = 			{ class = "SHAMAN", level = 50, },
--	["Mana Tide Totem"] = 		{ class = "SHAMAN", level = 56, }, x
--	["Greater Healing Wave"] = 	{ class = "SHAMAN", level = 60, }, x
	["Healing Tide Totem"] = 	{ class = "SHAMAN", level = 54, }, 
	["Healing Wave"] = 			{ class = "SHAMAN", level = 56, },	
	["Spirit Link Totem"] = 	{ class = "SHAMAN", level = 62, },
	["Spiritwalker's Grace"] = 	{ class = "SHAMAN", level = 72, }, 	
	["Deep Healing"] = 			{ class = "SHAMAN", level = 78, },
--	["Purification"] =			{ class = "SHAMAN", level = 90, }, --x
--++ Shaman Talents ++
	["Wind Rush Totem"] = 		{ class = "SHAMAN", level = 30, }, --7n
	["Earthgrab Totem"] = 		{ class = "SHAMAN", level = 45, },
	["Lightning Surge Totem"] = { class = "SHAMAN", level = 45, }, --7n
	["Voodoo Totem"] = 			{ class = "SHAMAN", level = 45, }, --7n
	["Ascendance"] = 			{ class = "SHAMAN", level = 100, }, --7n	
	--++ Elemental/Enhancement ++
	["Ancestral Swiftness"] = 	{ class = "SHAMAN", level = 60, },	
	--++ Elemental/Restoration ++
	["Ancestral Guidance"] = 	{ class = "SHAMAN", level = 30, },
	["Gust of Wind"] = 			{ class = "SHAMAN", level = 30, }, --7n
	["Echo of the Elements"] = 	{ class = "SHAMAN", level = 60, },	
	--++ Elemental ++	
	["Earthen Rage"] = 			{ class = "SHAMAN", level = 15, }, --7n
	["Path of Flame"] = 		{ class = "SHAMAN", level = 15, }, --7n
	["Totem Mastery"] = 		{ class = "SHAMAN", level = 15, }, --7n	
	["Elemental Blast"] = 		{ class = "SHAMAN", level = 60, },
	["Elemental Fusion"] = 		{ class = "SHAMAN", level = 75, }, --x
	["Icefury"] = 				{ class = "SHAMAN", level = 75, }, --7n
	["Primal Elementalist"] = 	{ class = "SHAMAN", level = 75, },
	["Aftershock"] = 			{ class = "SHAMAN", level = 90, }, --7n	
	["Elemental Mastery"] = 	{ class = "SHAMAN", level = 90, },
	["Storm Elemental"] = 		{ class = "SHAMAN", level = 90, }, --7n	
	["Lightning Rod"] = 		{ class = "SHAMAN", level = 100, }, --7n	
	["Liquid Magma Totem"] = 	{ class = "SHAMAN", level = 100, }, --7n	
	--++ Enhancement ++	
	["Boulderfist"] = 			{ class = "SHAMAN", level = 15, }, --7n
	["Hot Hand"] = 				{ class = "SHAMAN", level = 15, }, --7n
	["Windsong"] = 				{ class = "SHAMAN", level = 15, }, --7n
	["Feral Lunge"] = 			{ class = "SHAMAN", level = 30, }, --7n
	["Rainfall"] = 				{ class = "SHAMAN", level = 30, }, --7n
	["Hailstorm"] = 			{ class = "SHAMAN", level = 60, }, --7n
	["Lightning Shield"] = 		{ class = "SHAMAN", level = 60, }, --7m
	["Empowered Stormlash"] = 	{ class = "SHAMAN", level = 75, }, --7n
	["Overcharge"] = 			{ class = "SHAMAN", level = 75, }, --7n
	["Tempest"] = 				{ class = "SHAMAN", level = 75, }, --7n
	["Crashing Storm"] = 		{ class = "SHAMAN", level = 90, }, --7n
	["Fury of Air"] = 			{ class = "SHAMAN", level = 90, }, --7n
	["Sundering"] = 			{ class = "SHAMAN", level = 90, }, --7n
	["Earthen Spike"] = 		{ class = "SHAMAN", level = 100, }, --7n
	["Landslide"] = 			{ class = "SHAMAN", level = 100, }, --7n
	--++ Restoration ++
	["Torrent"] = 				{ class = "SHAMAN", level = 15, }, --7n
	["Undulation"] = 			{ class = "SHAMAN", level = 15, }, --7n
	["Graceful Spirit"] = 		{ class = "SHAMAN", level = 30, }, --7n
	["Crashing Waves"] = 		{ class = "SHAMAN", level = 60, }, --7n
	["Deluge"] = 				{ class = "SHAMAN", level = 60, }, --7n
	["Ancestral Protection Totem"] = { class = "SHAMAN", level = 75, }, --7n
	["Ancestral Vigor"] = 		{ class = "SHAMAN", level = 75, }, --7n
	["Earthen Shield Totem"] = 	{ class = "SHAMAN", level = 75, }, --7n
	["Bottomless Depths"] = 	{ class = "SHAMAN", level = 90, }, --7n
	["Cloudburst Totem"] = 		{ class = "SHAMAN", level = 90, }, --x
	["High Tide"] = 			{ class = "SHAMAN", level = 100, }, --x
	["Wellspring"] = 			{ class = "SHAMAN", level = 100, }, --7n
--	["Nature's Guardian"] = 	{ class = "SHAMAN", level = 15, }, 7
--	["Stone Bulwark Totem"] = 	{ class = "SHAMAN", level = 15, }, 7
--	["Frozen Power"] = 			{ class = "SHAMAN", level = 30, }, 7
--	["Windwalk Totem"] = 		{ class = "SHAMAN", level = 30, }, 7
--	["Call of the Elements"] = 	{ class = "SHAMAN", level = 45, }, 7
--	["Totemic Persistence"] = 	{ class = "SHAMAN", level = 45, }, 7
--	["Totemic Projection"] = 	{ class = "SHAMAN", level = 45, }, 7
--	["Rushing Streams"] = 		{ class = "SHAMAN", level = 75, }, 7
--	["Conductivity"] = 			{ class = "SHAMAN", level = 75, }, 7
--	["Unleashed Fury"] = 		{ class = "SHAMAN", level = 90, }, 7

--++ Warlock Abilities ++
	["Chaos Barrage"] = 		{ class = "WARLOCK", level = 1, }, --7n??
	["Soul Leech"] = 			{ class = "WARLOCK", level = 1, },  --7m??
	["Chaos Bolt"] = 			{ class = "WARLOCK", level = 1, }, --7m ??
--	["Demonic Slash"] = 		{ class = "WARLOCK", level = 1, }, --7 Dark Apotheosis Ability
	["Drain Life"] = 			{ class = "WARLOCK", level = 1, }, --x
	["Shadow Bolt"] = 			{ class = "WARLOCK", level = 1, }, --7 ??
	["Siphon Life"] = 			{ class = "WARLOCK", level = 1, },	
	["Summon Imp"] = 			{ class = "WARLOCK", level = 1, },	
	["Create Healthstone"] = 	{ class = "WARLOCK", level = 5, },	
	["Summon Voidwalker"] = 	{ class = "WARLOCK", level = 8, },
	["Control Demon"] = 		{ class = "WARLOCK", level = 10, },
--	["Sleep"] = 				{ class = "WARLOCK", level = 14, }, -- Dark Apotheosis Ability
	["Fear"] = 					{ class = "WARLOCK", level = 16, },
--	["Curse of Enfeeblement"] = { class = "WARLOCK", level = 17, }, x
	["Soulstone"] = 			{ class = "WARLOCK", level = 18, },
	["Health Funnel"] = 		{ class = "WARLOCK", level = 19, },	
	["Felsteed"] = 				{ class = "WARLOCK", level = 20, },	--7n 
	["Eye of Kilrogg"] = 		{ class = "WARLOCK", level = 22, },
	["Unending Breath"] = 		{ class = "WARLOCK", level = 24, },
	["Summon Succubus"] = 		{ class = "WARLOCK", level = 28, },	
	["Command Demon"] = 		{ class = "WARLOCK", level = 31, },	
	["Banish"] = 				{ class = "WARLOCK", level = 32, },	
	["Summon Felhunter"] = 		{ class = "WARLOCK", level = 35, },
--	["Twilight Ward"] = 		{ class = "WARLOCK", level = 34, }, x
--	["Fury Ward"] = 			{ class = "WARLOCK", level = 34, }, -- Dark Apotheosis Ability
--	["Fel Armor"] = 			{ class = "WARLOCK", level = 38, }, x
	["Dreadsteed"] = 			{ class = "WARLOCK", level = 40, },	--7n
	["Summon Infernal"] = 		{ class = "WARLOCK", level = 50, },
--	["Nethermancy"] = 			{ class = "WARLOCK", level = 50, }, 7
--	["Curse of the Elements"] = { class = "WARLOCK", level = 51, }, x
	["Enslave Demon"] = 		{ class = "WARLOCK", level = 54, },
	["Summon Doomguard"] = 		{ class = "WARLOCK", level = 58, },
	["Unending Resolve"] = 		{ class = "WARLOCK", level = 62, },
--	["Soulshatter"] = 			{ class = "WARLOCK", level = 66, }, 7
--	["Provocation"] = 			{ class = "WARLOCK", level = 66, }, -- Dark Apotheosis Ability
	["Create Soulwell"] = 		{ class = "WARLOCK", level = 65, },
	["Ritual of Summoning"] = 	{ class = "WARLOCK", level = 72, },	
--	["Demonic Circle: Teleport"] = { class = "WARLOCK", level = 76, }, 7
--	["Fel Flame"] = 			{ class = "WARLOCK", level = 77, }, x
--	["Blood Pact"] = 			{ class = "WARLOCK", level = 80, }, --7
--	["Dark Intent"] = 			{ class = "WARLOCK", level = 82, }, 7
	["Demonic Gateway"] = 		{ class = "WARLOCK", level = 87, }, 
--	["Pandemic"] = 				{ class = "WARLOCK", level = 90, }, x
	--++ Glyph Abilities ++
--	["Dark Apotheosis"] = 		{ class = "WARLOCK", level = 25, }, 7
--	["Imp Swarm"] = 			{ class = "WARLOCK", level = 25, }, 7
--++ Warlock Specialization ++
	--++ Affliction/Demonology/Destruction ++	
	["Life Tap"] = 				{ class = "WARLOCK", level = 16, }, --x Moved
	--++ Affliction ++
	["Corruption"] = 			{ class = "WARLOCK", level = 3, }, --7m
	["Agony"] = 				{ class = "WARLOCK", level = 10, },
	["Unstable Affliction"] = 	{ class = "WARLOCK", level = 10, },
	["Secrets of the Necrolyte"] = 	{ class = "WARLOCK", level = 10, },	--7n
--	["Soulburn"] = 				{ class = "WARLOCK", level = 19, }, 7
--	["Soulburn: Health Funnel"] = { class = "WARLOCK", level = 27, }, x
	["Curse of Exhaustion"] = 	{ class = "WARLOCK", level = 32, },
	["Seed of Corruption"] = 	{ class = "WARLOCK", level = 38 },
--	["Malefic Grasp"] = 		{ class = "WARLOCK", level = 42, }, x
--	["Nightfall"] = 			{ class = "WARLOCK", level = 54, }, x
--	["Soulburn: Seed of Corruption"] = { class = "WARLOCK", level = 62, }, 7
--	["Improved Fear"] = 		{ class = "WARLOCK", level = 69, }, 7
--	["Soulburn: Curse"] = 		{ class = "WARLOCK", level = 73, }, x
	["Potent Afflictions"] = 	{ class = "WARLOCK", level = 78, },
--	["Soul Swap"] = 			{ class = "WARLOCK", level = 79, }, 7
--	["Soulburn: Soul Swap"] = 	{ class = "WARLOCK", level = 79, },	7
--	["Dark Soul: Misery"] = 	{ class = "WARLOCK", level = 84, }, 7
--	["Soulburn: Demonic Circle: Teleport"] = { class = "WARLOCK", level = 86, }, x
	--++ Demonology ++
--	["Demonic Fury"] = 			{ class = "WARLOCK", level = 10, }, 7
	["Hand of Gul'dan"] = 		{ class = "WARLOCK", level = 10, },		
--	["Metamorphosis"] = 		{ class = "WARLOCK", level = 10, }, 7
	["Demonic Empowerment"] = 	{ class = "WARLOCK", level = 12, },	--7n
--	["Demonic Leap"] = 			{ class = "WARLOCK", level = 12, }, 7
--	["Soul Fire"] = 			{ class = "WARLOCK", level = 13, }, 7
	["Call Dreadstalkers"] = 	{ class = "WARLOCK", level = 14, }, --7n
--	["Hellfire"] = 				{ class = "WARLOCK", level = 22, }, 7
--	["Metamorphosis: Touch of Chaos"] = { class = "WARLOCK", level = 25, }, 7
	["Doom"] = 					{ class = "WARLOCK", level = 26, }, --x	
--	["Nether Plating"] = 		{ class = "WARLOCK", level = 27, }, x
--	["Wild Imps"] = 			{ class = "WARLOCK", level = 32, }, 7
	["Demonwrath"] = 			{ class = "WARLOCK", level = 36, }, --7n
--	["Metamorphosis: Doom"] = 	{ class = "WARLOCK", level = 36, }, 7
	["Summon Felguard"] = 		{ class = "WARLOCK", level = 40, },
	["Soul Link"] = 			{ class = "WARLOCK", level = 42, },	
--	["Carrion Swarm"] = 		{ class = "WARLOCK", level = 47, }, x
--	["Demonic Rebirth"] = 		{ class = "WARLOCK", level = 54, }, x
--	["Metamorphosis: Immolation Aura"] = { class = "WARLOCK", level = 62, }, 7 
--	["Metamorphosis: Cursed Auras"] = { class = "WARLOCK", level = 67, }, x 
--	["Molten Core"] = 			{ class = "WARLOCK", level = 69, }, 7
--	["Decimation"] = 			{ class = "WARLOCK", level = 73, }, x
--	["Metamorphosis: Chaos Wave"] = { class = "WARLOCK", level = 79, }, 7
	["Master Demonologist"] = 	{ class = "WARLOCK", level = 78, },
--	["Dark Soul: Knowledge"] = 	{ class = "WARLOCK", level = 84, }, 7
--	["Metamorphosis: Void Ray"] = { class = "WARLOCK", level = 85, }, x 
--	["Demonic Tactics"] = 		{ class = "WARLOCK", level = 90, }, --x
	--++ Destruction ++
--	["Chaotic Energy"] = 		{ class = "WARLOCK", level = 10, }, 7
	["Immolate"] = 				{ class = "WARLOCK", level = 10, },	
	["Incinerate"] = 			{ class = "WARLOCK", level = 10, },
	["Conflagrate"] = 			{ class = "WARLOCK", level = 10, },
--	["Backlash"] = 				{ class = "WARLOCK", level = 32, }, 7
	["Rain of Fire"] = 			{ class = "WARLOCK", level = 38, }, 
	["Havoc"] = 				{ class = "WARLOCK", level = 40, },
--	["Ember Tap"] = 			{ class = "WARLOCK", level = 42, }, 7
--	["Burning Embers"] = 		{ class = "WARLOCK", level = 42, }, 7
--	["Aftermath"] = 			{ class = "WARLOCK", level = 54, }, 7
	["Chaotic Energies"] = 		{ class = "WARLOCK", level = 78, }, --7n
--	["Flames of Xoroth"] = 		{ class = "WARLOCK", level = 79, }, 7
--	["Emberstorm"] = 			{ class = "WARLOCK", level = 80, }, 7
--	["Dark Soul: Instability"] = { class = "WARLOCK", level = 84, }, 7
--	["Pyroclasm"] = 			{ class = "WARLOCK", level = 86, }, x
--	["Devastation"] = 			{ class = "WARLOCK", level = 90, }, --x
--++ Warlock Talents ++
	["Demon Skin"] = 			{ class = "WARLOCK", level = 45, }, --7n
	["Mortal Coil"] = 			{ class = "WARLOCK", level = 45, },
	["Soul Harvest"] = 			{ class = "WARLOCK", level = 60, }, --7m	
	["Burning Rush"] = 			{ class = "WARLOCK", level = 75, },
	["Dark Pact"] = 			{ class = "WARLOCK", level = 75, }, --7n
	["Demonic Circle: Summon"] = { class = "WARLOCK", level = 75, }, --7m	
	["Grimoire of Service"] = 	{ class = "WARLOCK", level = 90, },
	["Grimoire of Supremacy"] = { class = "WARLOCK", level = 90, },
	["Soul Conduit"] = 			{ class = "WARLOCK", level = 100, }, --7n
	--++ Affliction/Destruction ++
	["Mana Tap"] = 			{ class = "WARLOCK", level = 100, }, --7n
	["Grimoire of Sacrifice"] = { class = "WARLOCK", level = 90, },
	--++ Demonology/Destruction ++
	["Shadowfury"] = 			{ class = "WARLOCK", level = 45, }, 	
	--++ Affliction ++	
	["Drain Soul"] = 			{ class = "WARLOCK", level = 15, }, --7m
	["Haunt"] = 				{ class = "WARLOCK", level = 15, },	--7m
	["Writhe in Agony"] = 		{ class = "WARLOCK", level = 15, }, --7n
	["Absolute Corruption"] = 	{ class = "WARLOCK", level = 30, }, --7n 
	["Contagion"] = 			{ class = "WARLOCK", level = 30, }, --7n 
	["Howl of Terror"] = 		{ class = "WARLOCK", level = 45, }, --x 
	["Sow the Seeds"] = 		{ class = "WARLOCK", level = 60, }, --7n 
	["Phantom Singularity"] = 	{ class = "WARLOCK", level = 100, }, --7n
	["Soul Effigy"] = 			{ class = "WARLOCK", level = 100, }, --7n 
	--++ Demonology ++
	["Demonic Calling"] = 		{ class = "WARLOCK", level = 15, }, --7n 
	["Shadowflame"] = 			{ class = "WARLOCK", level = 15, }, --7n
	["Shadowy Inspiration"] = 	{ class = "WARLOCK", level = 15, }, --7n 
	["Impending Doom"] = 		{ class = "WARLOCK", level = 30, }, --7n 
	["Implosion"] = 			{ class = "WARLOCK", level = 30, }, --7n 
	["Improved Dreadstalkers"] = { class = "WARLOCK", level = 30, }, --7n 
	["Hand of Doom"] = 			{ class = "WARLOCK", level = 60, }, --7n 
	["Power Trip"] = 			{ class = "WARLOCK", level = 60, }, --7n 
	["Grimoire of Synergy"] = 	{ class = "WARLOCK", level = 90, }, --x
	["Demonbolt"] = 			{ class = "WARLOCK", level = 100, }, --x
	["Summon Darkglare"] = 		{ class = "WARLOCK", level = 100, }, --7n 
	--++ Destruction ++
	["Backdraft"] = 			{ class = "WARLOCK", level = 15 }, --7m
	["Roaring Blaze"] = 		{ class = "WARLOCK", level = 15, }, --7n
	["Shadowburn"] = 			{ class = "WARLOCK", level = 15, },
	["Cataclysm"] = 			{ class = "WARLOCK", level = 30, }, --x
	["Reverse Entropy"] = 		{ class = "WARLOCK", level = 30, }, --7n
	["Eradication"] = 			{ class = "WARLOCK", level = 60, }, --7m
	["Fire and Brimstone"] = 	{ class = "WARLOCK", level = 60, }, --7m
	["Channel Demonfire"] = 	{ class = "WARLOCK", level = 100, }, --7n
	["Wreak Havoc"] = 			{ class = "WARLOCK", level = 100, }, --7n
--	["Dark Regeneration"] = 	{ class = "WARLOCK", level = 15, }, 7
--	["Demonic Breath"] = 		{ class = "WARLOCK", level = 30, }, x
--	["Sacrificial Pact"] = 		{ class = "WARLOCK", level = 45, }, 7
--	["Dark Bargain"] = 			{ class = "WARLOCK", level = 45, }, 7
--	["Blood Horror"] = 			{ class = "WARLOCK", level = 60, }, 7
--	["Unbound Will"] = 			{ class = "WARLOCK", level = 60, }, 7
--	["Archimonde's Darkness"] = { class = "WARLOCK", level = 90, }, 7
--	["Kil'jaeden's Cunning"] = 	{ class = "WARLOCK", level = 90, }, 7
--	["Mannoroth's Fury"] = 		{ class = "WARLOCK", level = 90, }, 7
--	["Demonic Servitude"] = 	{ class = "WARLOCK", level = 100, }, --x
--	["Harvest Life"] = 			{ class = "WARLOCK", level = 15, }, --x Moved
--	["Soulburn: Haunt"] = 		{ class = "WARLOCK", level = 100, }, --x
--	["Searing Flames"] = 		{ class = "WARLOCK", level = 15, }, --x
--	["Charred Remains"] = 		{ class = "WARLOCK", level = 100, }, --x

--++ Warrior Abilities ++
	["Attack"] = 				{ class = "WARRIOR", level = 1, }, --7n
--	["Battle Stance"] = 		{ class = "WARRIOR", level = 1, }, 7
--	["Block"] = 				{ class = "WARRIOR", level = 1, }, --7 Conflict
--	["Heroic Strike"] = 		{ class = "WARRIOR", level = 1, }, 7
--	["Parry"] = 				{ class = "WARRIOR", level = 1, }, --7 Conflict
	["Trauma"] = 				{ class = "WARRIOR", level = 3, }, --7n ??
	["Charge"] = 				{ class = "WARRIOR", level = 3, },
	["Taunt"] = 				{ class = "WARRIOR", level = 14, },
--	["Headlong Rush"] =	 		{ class = "WARRIOR", level = 15, }, --x
--	["Sunder Armor"] = 			{ class = "WARRIOR", level = 16, }, x
	["Heroic Throw"] = 			{ class = "WARRIOR", level = 22, },
	["Pummel"] = 				{ class = "WARRIOR", level = 24, },
	["Heroic Leap"] = 			{ class = "WARRIOR", level = 26, },	
--	["Disarm"] = 				{ class = "WARRIOR", level = 28, }, x
	["Deep Wounds"] = 			{ class = "WARRIOR", level = 32, }, --x Moved
--	["Berserker Stance"] = 		{ class = "WARRIOR", level = 34, }, x
--	["Battle Shout"] = 			{ class = "WARRIOR", level = 42, }, 7
--	["Intervene"] = 			{ class = "WARRIOR", level = 72, }, 7
--	["Shattering Throw"] = 		{ class = "WARRIOR", level = 74, }, 7
--	["Demoralizing Banner"] = 	{ class = "WARRIOR", level = 87, }, x
--	["Skull Banner"] = 			{ class = "WARRIOR", level = 87, }, x
--++ Warrior Specialization ++
	--++ Arms/Fury/Protection ++
	["Berserker Rage"] = 		{ class = "WARRIOR", level = 40, }, --7m
	["Battle Cry"] = 			{ class = "WARRIOR", level = 60, },	--7n
	--++ Arms/Fury ++
	["Execute"] = 				{ class = "WARRIOR", level = 8, }, --7m
	["Whirlwind"] = 			{ class = "WARRIOR", level = 28, },		
--	["Unbridled Wrath"] = 		{ class = "WARRIOR", level = 56, }, x
	["Intimidating Shout"] = 	{ class = "WARRIOR", level = 70, }, --7m
	["Commanding Shout"] = 		{ class = "WARRIOR", level = 83, },	
--	["Rallying Cry"] = 			{ class = "WARRIOR", level = 83, }, --x Moved
--	["Recklessness"] = 			{ class = "WARRIOR", level = 87, }, --x Moved	
	--++ Arms/Protection ++	
	["Victory Rush"] = 			{ class = "WARRIOR", level = 10 }, --7m
--	["Blood and Thunder"] = 	{ class = "WARRIOR", level = 46, }, x
	--++ Arms ++	
	["Slam"] = 					{ class = "WARRIOR", level = 1, },	
	["Mortal Strike"] = 		{ class = "WARRIOR", level = 5, },
	["Seasoned Soldier"] = 		{ class = "WARRIOR", level = 10, },
	["Colossus Smash"] = 		{ class = "WARRIOR", level = 18, }, --x Moved	
	["Tactician"] = 			{ class = "WARRIOR", level = 18, }, --7n	
--	["Taste for Blood"] = 		{ class = "WARRIOR", level = 30, },	7
	["Cleave"] = 				{ class = "WARRIOR", level = 32 }, --7m
	["Hamstring"] = 			{ class = "WARRIOR", level = 36, }, --7m
	["Die by the Sword"] = 		{ class = "WARRIOR", level = 50, },
	["Bladestorm"] = 			{ class = "WARRIOR", level = 75, },	--7m ??
	["Colossal Might"] = 		{ class = "WARRIOR", level = 78, },	--7n
--	["Strikes of Opportunity"] = { class = "WARRIOR", level = 80, }, x
--	["Weapons Master"] =	 	{ class = "WARRIOR", level = 80, }, --x
--	["Sudden Death"] = 			{ class = "WARRIOR", level = 81, }, 7
--	["Weapons Mastery"] =	 	{ class = "WARRIOR", level = 90, }, --x
	--++ Fury ++
	["Bloodthirst"] = 			{ class = "WARRIOR", level = 10, },
--	["Crazed Berserker"] = 		{ class = "WARRIOR", level = 10, }, 7
	["Enrage"] = 				{ class = "WARRIOR", level = 10, }, --x Moved	
	["Furious Slash"] = 		{ class = "WARRIOR", level = 10, }, --7n		
	["Titan's Grip"] = 			{ class = "WARRIOR", level = 10, }, 
	["Enraged Regeneration"] = 	{ class = "WARRIOR", level = 12, }, --7m
	["Raging Blow"] = 			{ class = "WARRIOR", level = 13, },
	["Rampage"] = 				{ class = "WARRIOR", level = 18, },	 --7n
--	["Wild Strike"] = 			{ class = "WARRIOR", level = 18, }, 7
	["Piercing Howl"] = 		{ class = "WARRIOR", level = 45, }, --7m
	["Single-Minded Fury"] = 	{ class = "WARRIOR", level = 38, }, 
--	["Bloodsurge"] = 			{ class = "WARRIOR", level = 50, }, x
	["Meat Cleaver"] = 			{ class = "WARRIOR", level = 58, }, 
--	["Flurry"] = 				{ class = "WARRIOR", level = 60, }, x Conflict
	["Unshackled Fury"] = 		{ class = "WARRIOR", level = 78, },
--	["Cruelty"] = 				{ class = "WARRIOR", level = 90, }, --x
	--++ Protection ++  
	["Defensive Stance"] = 		{ class = "WARRIOR", level = 9, }, --7m	 ??
--	["Resolve"] = 				{ class = "DEATHKNIGHT", level = 10, }, --x Conflict with Druid/Monk
	["Shield Slam"] = 			{ class = "WARRIOR", level = 10, },
	["Sword and Board"] = 		{ class = "WARRIOR", level = 10, }, 	
	["Unwavering Sentinel"] = 	{ class = "WARRIOR", level = 10, },
	["Devastate"] = 			{ class = "WARRIOR", level = 12, },
	["Thunder Clap"] = 			{ class = "WARRIOR", level = 16, }, --x Moved	
	["Shield Block"] = 			{ class = "WARRIOR", level = 18, },	
	["Revenge"] = 				{ class = "WARRIOR", level = 28, },
	["Ignore Pain"] = 			{ class = "WARRIOR", level = 34, }, --7n
	["Last Stand"] = 			{ class = "WARRIOR", level = 36, },
	["Shield Wall"] = 			{ class = "WARRIOR", level = 48, }, --x Moved
	["Demoralizing Shout"] = 	{ class = "WARRIOR", level = 50, },
	["Focused Rage"] = 			{ class = "WARRIOR", level = 52, }, --7n	??
	["Bastion of Defense"] = 	{ class = "WARRIOR", level = 60, },
	["Spell Reflection"] = 		{ class = "WARRIOR", level = 65, }, --7m
	["Intercept"] = 			{ class = "WARRIOR", level = 72, }, --7n
--	["Ripsote"] = 				{ class = "WARRIOR", level = 76, }, --7 Conflict
	["Critical Block"] = 		{ class = "WARRIOR", level = 78, },
--	["Shield Barrier"] = 		{ class = "WARRIOR", level = 81, }, 7
--	["Mocking Banner"] = 		{ class = "WARRIOR", level = 87, }, --x Moved
--	["Blood Craze"] = 			{ class = "WARRIOR", level = 90, }, --x
--	["Shield Mastery"] = 		{ class = "WARRIOR", level = 90, }, --x
--++ Warrior Talents ++
	--++ Arms/Fury/Protection ++	
	["Shockwave"] = 			{ class = "WARRIOR", level = 15, }, --7??
	["Storm Bolt"] = 			{ class = "WARRIOR", level = 15, }, --7?? 
	["Bounding Stride"] = 		{ class = "WARRIOR", level = 60, }, --7n	
	--++ Arms/Fury ++	
	["Double Time"] = 			{ class = "WARRIOR", level = 30, },	
	--++ Arms/Protection ++	
	["Anger Management"] = 		{ class = "WARRIOR", level = 100, }, --x
	["Ravager"] = 				{ class = "WARRIOR", level = 100, }, --x	
	--++ Arms ++
	["Dauntless"] = 			{ class = "WARRIOR", level = 15, }, --7n
	["Overpower"] = 			{ class = "WARRIOR", level = 15, }, --7m	
	["Sweeping Strikes"] = 		{ class = "WARRIOR", level = 15, },
	["Rervor of Battle"] = 		{ class = "WARRIOR", level = 45, }, --7n	
	["Rend"] =				 	{ class = "WARRIOR", level = 45, }, --7m	
	["Avatar"] = 				{ class = "WARRIOR", level = 45, },
	["Second Wind"] = 			{ class = "WARRIOR", level = 60, },
	["In for the Kill"] = 		{ class = "WARRIOR", level = 75, }, --7n
	["Mortal Combo"] = 			{ class = "WARRIOR", level = 75, }, --7n
	["Deadly Calm"] = 			{ class = "WARRIOR", level = 90, }, --7n
	["Titanic Might"] = 		{ class = "WARRIOR", level = 90, }, --7n
	["Opportunity Strikes"] = 	{ class = "WARRIOR", level = 100, }, --7n??
	--++ Arms ++
	["War Machine"] = 			{ class = "WARRIOR", level = 15, }, --7n	
	["Endless Rage"] = 			{ class = "WARRIOR", level = 15, }, --7n	
	["Fresh Meat"] = 			{ class = "WARRIOR", level = 15, }, --7n
	["Wrecking Ball"] = 		{ class = "WARRIOR", level = 45, }, --7n
	["Outburst"] = 				{ class = "WARRIOR", level = 45, }, --7n
	["Furious Charge"] = 		{ class = "WARRIOR", level = 60, }, --7n
	["Warpaint"] = 				{ class = "WARRIOR", level = 60, }, --7n
	["Massacre"] = 				{ class = "WARRIOR", level = 75, }, --7n
	["Frothing Berserker"] =	{ class = "WARRIOR", level = 75, }, --7n
	["Carnage"] = 				{ class = "WARRIOR", level = 75, }, --7n
	["Bloodbath"] = 			{ class = "WARRIOR", level = 90, },
	["Frenzy"] = 				{ class = "	WARRIOR", level = 90, }, --7n
	["Inner Rage"] = 			{ class = "WARRIOR", level = 90, }, --7n
	["Reckless Abandon"] = 		{ class = "WARRIOR", level = 100, }, --7n
	["Dragon Roar"] = 			{ class = "WARRIOR", level = 100, }, 
	--++ Protection ++
	["Warbringer"] = 			{ class = "WARRIOR", level = 15, }, 
	["Impending Victory"] = 	{ class = "WARRIOR", level = 30, },
	["Inspiring Presence"] = 	{ class = "WARRIOR", level = 30, }, --x	
	["Safeguard"] = 			{ class = "WARRIOR", level = 30, },
	["Fenewed Fury"] = 			{ class = "WARRIOR", level = 45, }, --7n	
	["Ultimatum"] = 			{ class = "WARRIOR", level = 45, },--7m
	["Warlord's Challenge"] = 	{ class = "WARRIOR", level = 60, }, --7n
	["Crackling Thunder"] = 	{ class = "WARRIOR", level = 60, }, --7n
	["Best Served Cold"] = 		{ class = "WARRIOR", level = 75, }, --7n
	["Indomitable"] = 			{ class = "WARRIOR", level = 75, }, --7n
	["Vengeance"] = 			{ class = "WARRIOR", level = 90, }, --7m
	["Into the Frey"] = 		{ class = "WARRIOR", level = 90, }, --7n
	["Booming Voice"] = 		{ class = "WARRIOR", level = 90, }, --7n
	["Heavy Repercussions"] = 	{ class = "WARRIOR", level = 100, }, --x	
--	["Juggernaut"] = 			{ class = "WARRIOR", level = 15, }, 7
--	["Staggering Shout"] = 		{ class = "WARRIOR", level = 45, }, x
--	["Disrupting Shout"] = 		{ class = "WARRIOR", level = 45, }, x
--	["Sudden Death"] = 			{ class = "WARRIOR", level = 45, }, --x
--	["Mass Spell Reflection"] = { class = "WARRIOR", level = 75, }, 7
--	["Vigilance"] = 			{ class = "WARRIOR", level = 75, }, 7 
--	["Siegebreaker"] = 			{ class = "WARRIOR", level = 100, }, --x
--	["Ignite Weapon"] = 		{ class = "WARRIOR", level = 100, }, --x ??
--	["Taste for Blood"] = 		{ class = "WARRIOR", level = 45, }, --x
--	["Unquenchable Thirst"] = 	{ class = "WARRIOR", level = 45, }, --x
--	["Furious Strikes"] = 		{ class = "WARRIOR", level = 45, }, --x
--	["Unyielding Strikes"] = 	{ class = "WARRIOR", level = 45, }, --x
--	["Gladiator's Resolve"] = 	{ class = "WARRIOR", level = 100, }, --x
};
